/*
   Written by Pieter J. Schoenmakers <tiggr@ics.ele.tue.nl>

   Copyright (C) 1996 Pieter J. Schoenmakers.

   This file is part of TOM.  TOM is distributed under the terms of the
   TOM License, a copy of which can be found in the TOM distribution; see
   the file LICENSE.

   $Id: os.c,v 1.5 1998/01/05 00:46:04 tiggr Exp $  */

#include <dlfcn.h>

void
dload_initialize ()
{
}

void *
dload_load (char *name)
{
  return dlopen (name, RTLD_NOW);
}

void *
dload_lookup (void *handle, char *name)
{
  return dlsym (handle, name);
}

struct trtd_module *
dload_get_trt_module_info (void *handle)
{
  char *name = DLOAD_SYMBOL_PREFIX TRT_MODULE_INFO;
  return dload_lookup (handle, name);
}
