/*
   Written by Pieter J. Schoenmakers <tiggr@ics.ele.tue.nl>

   Copyright (C) 1996 Pieter J. Schoenmakers.

   This file is part of TOM.  TOM is distributed under the terms of the
   TOM License, a copy of which can be found in the TOM distribution; see
   the file LICENSE.

   $Id: hppa10.h,v 1.9 1998/01/05 00:45:16 tiggr Exp $  */

/* libdce provided malloc does locking itself.  */
#define MALLOC_THREAD_SAFE  1

/* Memory layout on hpux 10.x is weird, so mmap (PRIVATE) works very
   badly.  Use valloc.  */
#define CHUNK_RANGE_VALLOC  1
/* And consequently, ranges are not aligned.  */
#define RANGES_ARE_ALIGNED  0

#include <config/hpux/hppa.h>
