/*
   Written by Pieter J. Schoenmakers <tiggr@ics.ele.tue.nl>

   Copyright (C) 1996 Pieter J. Schoenmakers.

   This file is part of TOM.  TOM is distributed under the terms of the
   TOM License, a copy of which can be found in the TOM distribution; see
   the file LICENSE.

   $Id: OTMAnyRefType.m,v 1.6 1998/01/05 01:11:58 tiggr Exp $  */

#import "OTMAnyRefType.h"

@implementation OTMAnyRefType

-(BOOL) isObjectType
{
  return YES;
}

-(int) matchesConvertibly: (OTMType *) t
{
  return [t isObjectType] ? 0 : -1;
}

-(id <TLString>) typeName
{
  return @"any reference type";
}

@end
