
/*  A Bison parser, made from parse.y
 by  GNU Bison version 1.25
  */

#define YYBISON 1  /* Identify Bison output.  */

#define yyparse otm_parse
#define yylex otm_lex
#define yyerror otm_error
#define yylval otm_lval
#define yychar otm_char
#define yydebug otm_debug
#define yynerrs otm_nerrs
#define	CLASS	258
#define	END	259
#define	EXTENSION	260
#define	EXTERN	261
#define	IMPLEMENTATION	262
#define	INSTANCE	263
#define	INTERFACE	264
#define	POSING	265
#define	RECEIVER	266
#define	SUPER	267
#define	CONST	268
#define	LOCAL	269
#define	OLD	270
#define	IF	271
#define	ELSE	272
#define	DO	273
#define	FOR	274
#define	WHILE	275
#define	BREAK	276
#define	CONTINUE	277
#define	RETURN	278
#define	PRE	279
#define	POST	280
#define	PUBLIC	281
#define	PRIVATE	282
#define	PROTECTED	283
#define	MUTABLE	284
#define	STATIC	285
#define	DEFERRED	286
#define	REDEFINE	287
#define	REDECLARE	288
#define	CATCH	289
#define	BIND	290
#define	UNWIND	291
#define	DYNAMIC	292
#define	EQ	293
#define	GE	294
#define	LE	295
#define	NE	296
#define	AND	297
#define	OR	298
#define	IMPLIES	299
#define	SHL	300
#define	SHR	301
#define	LSR	302
#define	TYPEDEF	303
#define	VOID	304
#define	NIL	305
#define	PLUSPLUS	306
#define	MINMIN	307
#define	ASSIGN	308
#define	STRING_CST	309
#define	IDENTIFIER	310
#define	NUMBER	311
#define	TYPE	312
#define	BASIC_TYPE	313
#define	C_LITERAL	314
#define	UNARY_MINUS	315

#line 12 "parse.y"

#import <tl/tl.h>
#import <time.h>
#import "global.h"
#import "OTMAlias.h"
#import "OTMAliasAlias.h"
#import "OTMArgument.h"
#import "OTMAssignment.h"
#import "OTMBasic.h"
#import "OTMBind.h"
#import "OTMBreak.h"
#import "OTMBuiltinMethod.h"
#import "OTMCast.h"
#import "OTMCatch.h"
#import "OTMCondExpr.h"
#import "OTMConstant.h"
#import "OTMContinue.h"
#import "OTMClass.h"
#import "OTMCompound.h"
#import "OTMCustomMethod.h"
#import "OTMDynamicType.h"
#import "OTMError.h"
#import "OTMExpr.h"
#import "OTMExtension.h"
#import "OTMIdentifier.h"
#import "OTMInstance.h"
#import "OTMInvocation.h"
#import "OTMITE.h"
#import "OTMLocalVar.h"
#import "OTMLoop.h"
#import "OTMMetaRef.h"
#import "OTMModAssign.h"
#import "OTMNumberCST.h"
#import "OTMObjectVar.h"
#import "OTMOld.h"
#import "OTMReturn.h"
#import "OTMStringCST.h"
#import "OTMTuple.h"
#import "OTMTypeTuple.h"
#import "OTMUnvocation.h"
#import "OTMUnwind.h"
#import "OTMVariable.h"
#import "OTMVarRef.h"

/* Forward declarations.  */
extern int otm_lex ();
void do_postponed_aliases (BOOL must);

#define YYDEBUG 1
#define YYERROR_VERBOSE

int current_line;
id <TLString> current_filename;

/* The current unit.  */
LTTUnit *current_unit;

/* The current output file.  It is NIL when parsing a file which is not to
   be output.  */
id <TLOutputStream> of;

/* The extensions output to the output file.  */
TLSet *extensions_output;

/* The current class or the current instance.
   Only one of these will ever be !NIL.  */
LTTClass *current_class;
LTTInstance *current_instance;

/* This is either the CURRENT_CLASS or the CURRENT_INSTANCE, whichever is
   !nil (they can't be both).  */
LTTMeta *current_either;

/* The current extension.  The main definition of a class or instance is
   also an extension.  It is called the main extension.  */
LTTExtension *current_extension;

/* In a definition, or during the pre and post conditions of a
   declaration, the current method.  */
OTMCustomMethod *current_method;

/* The meta involved in the meta or method or whatever currently being
   output to the output file, be it as a declaration, or as a definition.  */
LTTMeta *output_current_context;

/* Similarly, the method.  */
OTMCustomMethod *output_current_method;

/* The current compound.  */
OTMCompound *current_compound;

/* The type enclosing the current local variable declaration.  */
OTMType *enclosing_type;

/* Semantics to some of the above.  */
#define C_EXT_SEMANTICS		(OTMExtension *) [current_extension semantics]
#define C_CLS_SEMANTICS		(OTMClass *) [current_class semantics]
#define C_INS_SEMANTICS		(OTMInstance *) [current_instance semantics]
#define C_EITHER_SEMANTICS	(OTMMeta *) [current_either semantics]

static enum
{
  GLOBAL_SCOPE,
  INTERFACE_SCOPE,
  IMPLEMENTATION_SCOPE,
} in_what;

/* Lists of still-to-patch supers.  Each entry is a cons cell holding the
   LTTMeta and the super meta.  Semantics of the inheritance depends on
   the list.  The STATE_SUPERS holds instances, but inheritance applies to
   both the instance and its class.  The BEHAVIOUR_SUPERS only applies to
   the actual metas involved.  */
TLCons *postponed_state_supers, *postponed_behaviour_supers;

TLCons *postponed_aliases;

/* The index number of the next argument.  */
int next_arg;

void
yyerror (char *s)
{
  extern char *yytext;
  error (@"parse error at `%s' (%s)", yytext, s);
}

LTTInstance *
instance_in_unit (id <TLString> unit_name, LTTUnit *current,
		  TLVector *instances)
{
  LTTInstance *i = ltt_instance_in_unit (unit_name, current, instances);

  if (!i && instances)
    error (@"ambiguous reference to %@",
	   [[(LTTInstance *) [instances _elementAtIndex: 0] lttName]
	    internal]);

  return i;
}

/* Return a a pair of a variable with the name N and the type T, and the
   DEF expression, or, if T is a type-tuple and N is a tuple of names, and
   they correspond, return a pair of a properly typed tuple of properly
   typed variables, and the default value.

   Thus, this return CONS (arg, value).  */
id
digest_arguments (id n, id t, id def)
{
  BOOL ntup = ![n stringp];
  BOOL ttup = [t isTuple];
  OTMExpr *ret;

  /* A tuple with one element is not a real tuple.  */
  if (ttup)
    {
      TLVector *tv = [t elements];
      if ([tv length] == 1)
	{
	  t = [tv _elementAtIndex: 0];

	  /* XXX What is a tuple consisting of only a tuple?  What if the
             contained tuple also contains only a single element?  */
	  ttup = [t isTuple];
	}
    }

  /* If T is a tuple, it is a Real Tuple (> 1 element).  */
  if (ttup)
    {
      if (!ntup)
	{
	  error (@"attempt to declare `%@' with tuple type", n);
	  return nil;
	}
      else
	{
	  TLVector *tv = [(id) t elements], *nv = [n elements];
	  int i, nn = [nv length], tn = [tv length];
	  TLVector *vars;

	  if (tn != nn)
	    {
	      error (@"number of elements (%d) does not match type (%d)",
		     nn, tn);
	      return nil;
	    }

	  /* Create a vector of typed variables, by zipping the name tuple
             and type tuple.  */
	  vars = [CO_TLVector vectorWithCapacity: tn];
	  for (i = 0; i < nn; i++)
	    [vars addElement: [CO_OTMArgument variableWithName:
					      [nv _elementAtIndex: i]
					      type: [tv _elementAtIndex: i]
					      number: next_arg++]];

	  ret = [CO_OTMTuple tupleWithSequence: vars];
	  [ret setType: t];
	}
    }
  else if (ntup > 1)
    {
      error (@"non-tuple type for tupled argument");
      return nil;
    }
  else
    {
      if (ntup == 1)
	n = [[n elements] _elementAtIndex: 0];
      ret = [CO_OTMArgument variableWithName: n type: t number: next_arg++];
    }

  return CONS (ret, def);
}

/* Load the FILE.  Iff !INTERFACE, the implementation will be loaded.
   Otherwise, the interface will be preferred.  Iff META_NAME, the meta
   with that name must be declared after having read the file.  Iff MUST,
   the file type indicated by the INTERFACE must be found; otherwise an
   error is issued.  */
void
load_file (LTTFile *file, id <TLString> meta_name, BOOL interface, BOOL must)
{
  TLString *full_name = nil;
  FILE *f;
  GCDECL1;

  GCPRO1 (full_name);

  /* Open the file, preferring `.j' above `.t', unless !INTERFACE.  */
  if (!interface)
    f = NULL;
  else
    {
      if ([file loadedInterface] || (!must && [file loadedImplementation]))
	return;

      full_name = [file interfaceFilename];
      f = fopen ([full_name cString], "r");
      if (f)
	[file setLoadedInterface];
      else if (must)
	{
	  error (@"%@: %s", full_name, ERRMSG);
	  return;
	}
      else if (ERRNO != ENOENT)
	warning (@"%@: %s", full_name, ERRMSG);
    }

  if (!f)
    {
      if ([file loadedImplementation] || (!must && [file loadedInterface]))
	return;

      full_name = [file implementationFilename];
      f = fopen ([full_name cString], "r");
      if (f)
	[file setLoadedImplementation];
      else
	error (@"%@: %s", full_name, ERRMSG);
    }

  if (f)
    {
      char buf[4096];
      const char *s;
      TLVector *v;
      int mi, mn;

      s = [full_name cString];
      if (s[0] != '/')
	{
	  /* Make the path absolute.  */
	  if (getcwd (buf, sizeof (buf)))
	    full_name = [CO_TLString stringWithFormat: @"%s/%s", buf, s];
	}

      parse_file (full_name, [file unit], f);
      fclose (f);

      for (mi = 0, v = [file items], mn = [v length]; mi < mn; mi++)
	{
	  LTTExtension *ext = [v _elementAtIndex: mi];
	  OTMExtension *sem = [ext semantics];

	  if (!sem || !([sem definedp] || [sem declaredp]))
	    error (@"%@ fails to define or declare %@",
		   full_name, ltt_ext_name (ext));
	}
    }

  GCUNPRO;
}

/* Load the interface (or the implementation) of the extension EXT.  */
void
load_extension_interface (LTTExtension *ext)
{
  LTTFile *file = [ext container];
  id pof = nil;
  GCDECL1;

  GCPRO1 (pof);

  pof = of;
  of = nil;

  /* Only check the meta in case we're loading the main extension.  */
  load_file (file, [ext isMainExtension] ? [[ext meta] lttName] : nil, 1, 0);

  of = pof;

  GCUNPRO;
}

/* Load the meta M.  This implies that all files which have defined
   extensions or posing classes for M are loaded.  */
void
load_interface (LTTInstance *ins)
{
  LTTExtension *ext;

  /* If the main extension's file has been set loaded, we do not do
     anything since that file will declare this meta.  */
  if (![[ins semantics] fullyLoaded])
    {
      int previous_in_what = in_what;
      TLVector *exts = 0;
      int i, n;
      GCDECL1;

      GCPRO1 (exts);

      [[ins semantics] setFullyLoaded];

      exts = [ins extensions];
      for (i = 0, n = [exts length]; i < n; i++)
	{
	  ext = [exts _elementAtIndex: i];
	  if (![[ext container] loadedInterface]
	      && ![[ext container] loadedImplementation])
	    load_extension_interface (ext);
	}

      GCUNPRO;

      in_what = previous_in_what;
    }

  {
    LTTMeta *p = [ins posedSelf];

    if ((id) ins != p)
      load_interface ([p classp] ? (id) [p instance] : p);
  }
}

/* Add the method declaration of METHOD to the current extension.  */
void
add_method_decl (OTMCustomMethod *method)
{
  BOOL ok = YES, shown = NO;
  OTMMethod *orig;

  if (!current_extension)
    return;

  if (in_what == IMPLEMENTATION_SCOPE && [C_EXT_SEMANTICS declaredp]
      && ![method foreign] && ![method deferredp])
    error (@"method declaration in implementation scope");

  orig = [C_EITHER_SEMANTICS searchSimilarMethod: method];
  if (orig)
    {
      otm_qualifiers q = [method qualifiers];
      otm_qualifiers oq = [orig qualifiers];

      if (![method foreign] && !Q_DEFERRED (oq))
	{
	  if ([method extension] == [orig extension])
	    {
	      error (@"duplicate declaration of identical method");
	      if (!shown)
		cerror_for (orig, @"previous declaration was here");
	      ok = NO;
	    }

	  // XXX This is a hack.  The `searchSimilarMethod:' should return
	  // a list of applicable methods (i.e. all of those in scope,
	  // which can be multiple methods for multiple extensions of this
	  // either)
	  if (([[[orig extension] structure] meta]
	       == [[[method extension] structure] meta])
	      && [[[method extension] structure] isMainExtension])
	    ;
	  else if (!Q_REDO (q))
	    {
	      if (!flag_inhibit_unqualified_redeclare)
		{
		  warning (@"unqualified redeclaration of undeferred method");
		  if (!shown)
		    cerror_for (orig, @"previous declaration was here");
		}
	      [method setRedo: OQ_REDEFINE];
	    }
	}
      if (!Q_PROTECTION (q))
	Q_SET_PROTECTION (q, Q_PROTECTION (oq));
      else if (Q_PROTECTION (q) != Q_PROTECTION (oq))
	{
	  error (@"protection %@ differs from original declaration",
		 qualifier_name (Q_PROTECTION (q)));
	  error_for (orig, @"original protection %@ declared here",
		     qualifier_name (Q_PROTECTION (oq)));
	  [method setProtection: Q_PROTECTION (oq)];
	}

      /* XXX `Inherit' the default arguments from the original?  */
    }

  if (ok)
    {
      /* Make sure the selector of this method is registered.
	 This is needed for foreign methods.  */
      if (of)
	[method selector];

      /* No need to add the declaration of a foreign method twice.  */
      if (in_what == IMPLEMENTATION_SCOPE && [method foreign]
	  && [method extension] == [orig extension])
	return;
      else
	{
	  [C_EXT_SEMANTICS addMethod: method];
	  [method setDeclared: YES];
	}
    }
}

/* Add the method declaration or definition of METHOD with the PRE and
   POST conditions to the current extension.  */
OTMCustomMethod *
add_method_def (OTMCustomMethod *method)
{
  OTMMethod *orig;
  OTMExtension *ext;
  BOOL ok = YES, shown = NO;

  if (!current_extension)
    return nil;

  ext = [method extension];
  orig = [C_EXT_SEMANTICS searchSimilarMethod: method];

  if (orig)
    {
      if (ext == [orig extension])
	{
	  if ([orig definedp])
	    {
	      error (@"redefinition of prototypicially identical method");
	      if (!shown)
		{
		  cerror_for (orig, @"previous definition was here");
		  shown = YES;
		}
	      ok = NO;
	    }
	}
    }
  else
    {
      /* In an implementation, if the interface has been seen, this method
         must have been declared.  */
      if (in_what == IMPLEMENTATION_SCOPE && [ext declaredp])
	error (@"definition of undeclared method %@", method_name (method, 0));
    }

  if (ok && orig
      && ![orig allowedRedeclaration: method
		inSubclass: ([[ext structure] meta]
			     != [[[orig extension] structure] meta])])
    {
      error (@"argument type mismatch with declaration");
      if (!shown)
	{
	  cerror_for (orig, @"previous definition was here");
	  shown = YES;
	}
      ok = NO;
    }

  if (ok)
    {
      if (orig)
	{
	  id f;

	  [method warnDifferingArguments: orig];
	  method = (id) orig;

	  [method refreshLocation];

	  f = [method foreign];
	  if (f)
	    [(OTMCustomMethod *) orig setForeign: f];
	}
      else
	{
	  TLVector *v;

	  v = [C_EXT_SEMANTICS methodsNamed: [method methodName] create: YES];
	  [v addElement: method];
	}

      [method setDefined: YES];

      /* Make sure the selector of this method is registered.
	 This is needed for foreign methods.  */
      if (of && !NUM_ERRORS)
	[method selector];
    }

  return method;
}

/* Add CI to the behavioural super information of SUBI.  */
void
add_super_1 (LTTMeta *subi, LTTMeta *ci)
{
  OTMMeta *cis = [ci semantics];

  if (![cis declaredp] && ![cis definedp])
    postponed_behaviour_supers = CONS (CONS (subi, ci),
				       postponed_behaviour_supers);
  else if ([ci isDirectSub: subi]
	   && (in_what == INTERFACE_SCOPE
	       || (in_what == IMPLEMENTATION_SCOPE
		   && ![[subi semantics] declaredp])))
    warning (@"%@: repeated immediate super %@",
	     ltt_meta_name (subi), ltt_meta_name (ci));
  else
    {
      [subi addBehaviourSuper: ci];
      [[[subi extensionNamed: [[current_extension lttName] internal]] semantics]
	addSuper: cis];
    }
}

/* Handle the normal case of straight inheritance (without shifting meta
   levels).  */
static void
add_super_0 (LTTInstance *subi, LTTInstance *ci)
{
  BOOL already = [ci isDirectSub: subi];
  LTTClass *subc = [subi itsClass];
  LTTClass *cc = [ci itsClass];
  OTMMeta *subis = [subi semantics];
  OTMMeta *cis = [ci semantics];

  if (![cis declaredp] && ![cis definedp])
    postponed_state_supers = CONS (CONS (subi, ci), postponed_state_supers);
  else if (already
	   && (in_what == INTERFACE_SCOPE
	       || (in_what == IMPLEMENTATION_SCOPE && ![subis declaredp])))
    warning (@"%@: repeated immediate super %@",
	     ltt_meta_name (subi), ltt_meta_name (ci));
  else if (!already && in_what == IMPLEMENTATION_SCOPE && [subis declaredp])
    error (@"%@: super indication was absent in interface",
	   ltt_meta_name (ci));
  else
    {
      LTTName *cename = current_extension ? [current_extension lttName] : nil;
      id <TLString> cenamei = cename ? [cename internal] : nil;

      [subi addStateSuper: ci];
      [subc addStateSuper: cc];
      [[[subi extensionNamed: cenamei] semantics] addSuper: cis];
      [[[subc extensionNamed: cenamei] semantics] addSuper: [cc semantics]];
      if ([cis statep])
	[[subi semantics] setStatep];
      if ([[cc semantics] statep])
	[[subc semantics] setStatep];
    }
}

/* Add C to be a super of the current meta.  If !direction, this is state
   inheritance (even if C has no state).  If it is -1, it is inheritance
   of the instance behaviour only.  If it is +1, it indicates inheritance
   of the class behaviour only.  */
static void
add_super (LTTInstance *inst, int direction)
{
  if (!direction)
    {
      if (current_instance)
	add_super_0 (current_instance, inst);
      else if (current_class)
	add_super_0 ([current_class instance], inst);
    }
  else if (direction < 0)
    add_super_1 (current_either, inst);
  else
    add_super_1 (current_either, [inst itsClass]);
}

static void
do_add_super (id what, int posing)
{
  int dir = 0;

  if ([what consp])
    {
      id a, d;

      DECONS (what, a, d);
      if (a)
	what = a, dir = 1;
      else
	what = d, dir = -1;
    }

  add_super (what, dir);

  if (posing)
    {
      /* XXX Check consistency.  */

    }
}

void
do_postponed_aliases (BOOL must)
{
  TLCons *list = postponed_aliases;

  postponed_aliases = nil;

  while (list)
    {
      OTMAliasAlias *a;

      DECONS (list, a, list);
      [[a extension] handlePostponedAlias: a];
    }

  if (must && postponed_aliases)
    internal (@"non-empty postponed aliases");
}

void
do_postponed_supers (BOOL must)
{
  TLCons *states = postponed_state_supers;
  TLCons *behaviours = postponed_behaviour_supers;
  id sub, sup;
  TLCons *c;

  postponed_behaviour_supers = postponed_state_supers = nil;

  while (states)
    {
      DECONS (states, c, states);
      DECONS (c, sub, sup);
      add_super_0 (sub, sup);
    }

  while (behaviours)
    {
      DECONS (behaviours, c, behaviours);
      DECONS (c, sub, sup);
      add_super_1 (sub, sup);
    }

  if (must && (postponed_state_supers || postponed_behaviour_supers))
    internal (@"non-empty postponed supers");
}

/* Add the variables from the VARS list to the current_either with the
   indicated qualifiers and TYPE.  */
void
object_add_variables (otm_qualifiers q, id type, TLCons *vars, BOOL is_local)
{
  id <TLString> name;
  OTMObjectVar *var;
  
  q = mask_qualifiers (q, ((current_instance ? 0 : OQ_STATIC_MASK)
			   | OQ_PROTECTION_MASK | OQ_MUTABLE_MASK
			   | OQ_REDO_MASK));

  if (Q_REDO (q) && Q_REDO (q) != OQ_REDECLARE)
    q = mask_qualifiers (q, 0);

  if (Q_REDO (q) && is_local)
    {
      error (@"can't redeclare something as local");
      is_local = 0;
    }

  if (!current_either)
    return;

  if (in_what == IMPLEMENTATION_SCOPE && [[current_either semantics] declaredp])
    while (vars)
      {
	OTMCustomMethod *m;
	OTMExpr *e;

	DECONS (vars, name, vars);

	/* XXX Check consistency with declaration.  */
	var = [C_EXT_SEMANTICS variableNamed: name];

	if (!var)
	  {
	    error (@"declaration of %@ not found in interface", name);
	    continue;
	  }

	if ([var type] != type)
	  {
	    error (@"differing declaration of %@", name);
	    error_for (var, @"previous declaration was here");
	  }

	/* Generate the accessor methods.  */
	if (Q_PROTECTION (q) == OQ_PUBLIC)
	  {
	    m = add_method_def ((id) [CO_OTMCustomMethod
				      methodWithExtension: C_EXT_SEMANTICS
				      name: accessor_method_name (name)
				      returnType: type flatp: NO]);
	    current_method = m;
	    current_compound = [CO_OTMCompound compoundWithContainer: (id) m];
	    [current_method setBody: current_compound];
	    e = [CO_OTMAssignment assignmentWithLhs:
			       temp_something_with_type ([var type], 0)
			       rhs: var];
	    e = emit_expr (e);
	    [m setReturnValue: e];
	    current_compound = nil;
	    if (of && !NUM_ERRORS)
	      [current_method compile];
	    current_method = nil;
	  }

	if (Q_MUTABLE (q))
	  {
	    m = add_method_def
	      ((id) [CO_OTMCustomMethod methodWithExtension: C_EXT_SEMANTICS
		     nameTypes: CONS (CONS (modifier_method_name (name),
					    CONS ([CO_OTMVariable
						   variableWithName:
						   @"value" type: type], nil)),
				      nil)
		     returnType: basic_type[BT_VOID] flatp: NO]);

	    current_method = m;
	    current_compound = [CO_OTMCompound compoundWithContainer: (id) m];
	    [current_method setBody: current_compound];
	    e = [CO_OTMAssignment assignmentWithLhs:
		 [C_EITHER_SEMANTICS searchEntityNamed: name supers: YES
		  class: YES variables: YES constants: YES]
		 rhs: [current_compound searchVariableNamed: @"value"]];
	    e = emit_expr (e);
	    current_compound = nil;
	    if (of && !NUM_ERRORS)
	      [current_method compile];
	    current_method = nil;
	  }
      }
  else
    while (vars)
      {
	OTMMethod *m;

	DECONS (vars, name, vars);

	if (Q_REDO (q))
	  var = [C_EXT_SEMANTICS aliasWithName: name
				 type: type qualifiers: q];
	else
	  {
	    if (current_either != ltt_instance_state
		&& current_either != ltt_class_state)
	      {
		var = [C_EITHER_SEMANTICS searchEntityNamed: name
					  supers: YES class: YES
					  variables: YES constants: YES];
		if (var)
		  {
		    warning (@"declaration of %@ hides previous declaration",
			     name);
		    cwarning_for (var, @"%@ previously declared here", name);
		  }
	      }

	    var = [C_EXT_SEMANTICS variableWithName: name
				   type: type qualifiers: q];
	    if (is_local)
	      if (![var staticp] || ![current_either classp])
		error_for (var,
			   @"non-static or non-class variable can't be local");
	      else
		{
		  [var setIsThreadLocal];
		  [C_EITHER_SEMANTICS setThreadLocalVarsP];
		}
	  }

	if (Q_PROTECTION (q) == OQ_PUBLIC)
	  {
	    m = [CO_OTMCustomMethod methodWithExtension: C_EXT_SEMANTICS
				    name: accessor_method_name (name)
				    returnType: type flatp: NO];
	    if (Q_REDO (q) == OQ_REDECLARE)
	      [m setRedo: OQ_REDECLARE];
	    add_method_decl ((id) m);
	  }
	if (Q_MUTABLE (q))
	  {
	    m = [CO_OTMCustomMethod methodWithExtension: C_EXT_SEMANTICS
		     nameTypes: CONS (CONS (modifier_method_name (name),
				  CONS ([CO_OTMVariable variableWithName:
					      @"value" type: type], nil)), nil)
				    returnType: basic_type[BT_VOID] flatp: NO];
	    if (Q_REDO (q) == OQ_REDECLARE)
	      [m setRedo: OQ_REDECLARE];

	    add_method_decl ((id) m);
	  }
      }
}

/* Add the variables from the VARS list to the current_either with the
   indicated qualifiers and TYPE.  */
void
object_add_const (otm_qualifiers q, id <TLString> name, id value)
{
  OTMConstant *c;
  
  q = mask_qualifiers (q, OQ_PROTECTION_MASK);

  if (!current_either)
    return;

  c = [C_EXT_SEMANTICS constantWithName: name qualifiers: q value: value];
}

/* Check the super class declarations of the current meta.  */
static void
check_supers (void)
{
  if ([current_extension isMainExtension])
    {
      /* Make sure Any and State are supers.  */
      if (current_class)
	{
	  /* XXX Should search in the other direction...  */
	  if (current_class != ltt_class_state
	      && ![ltt_class_state isProperStateSub: current_class])
	    [current_class addStateSuper: ltt_class_state];
	  if (![ltt_class_any isProperSub: current_class])
	    [current_class addBehaviourSuper: ltt_class_any];

	  /* Make both the class and instance of this EITHER a superclass
             of All.  */
	  [ltt_instance_all addBehaviourSuper: current_class];
	  [ltt_instance_all addBehaviourSuper: [current_class instance]];
	}
      else if (current_instance
	       && ![ltt_instance_any isProperSub: current_instance])
	[current_instance addBehaviourSuper: ltt_instance_any];
    }
}

/* Setup everything for the interface or implementation (depends on
   DEFINITIONP) of instance or class (depending on IS_CLASS) of the
   extension EXT of the INSTANCE.  If !EXT this is the main extension.  */
static void
set_current_either (LTTInstance *instance, id <TLString> ext, int is_class,
		    id <TLString> foreign, otm_qualifiers q, int definitionp)
{
  OTMMeta *either, *counterpart;
  id <TLString> errmsg;

  current_class = nil;
  current_instance = nil;
  current_either = nil;
  current_extension = nil;

  if (!instance)
    return;

  /* We're loading a named extension.  Make sure the main extension is
     also loaded.  */
  if (ext && ![[[instance extensionNamed: nil] container] loadedInterface])
    load_interface (instance);

  q = mask_qualifiers (q, 0);

  if (is_class)
    current_either = current_class = [instance itsClass];
  else
    current_either = current_instance = instance;

  errmsg = ltt_meta_name (current_either);
  either = C_EITHER_SEMANTICS;
  counterpart = [(is_class ? (LTTMeta *) [(LTTClass *) current_either instance]
		  : (LTTMeta *) [current_either itsClass]) semantics];

  if (ext)
    {
      if (!([either declaredp] || [either definedp]
	    || [[[current_either extensionNamed: nil]
		 container] loadedInterface]))
	internal (@"interface of `%@' not found", errmsg);

      if (current_either == ltt_instance_any || current_either == ltt_class_any
	  || current_either == ltt_instance_all
	  || current_either == ltt_class_all)
	error (@"extensions of %@ not allowed", ltt_meta_name (current_either));
    }
  else
    {
      if (definitionp)
	{
	  if ([either definedp] && ![either foreign])
	    {
	      error (@"redefinition of %@", errmsg);
	      cerror_for (either, @"previous definition of %@ was here",
			  errmsg);
	    }

	  if (Q_DEFERRED (q) && [either declaredp] && ![either deferredp])
	    {
	      error (@"deferred status mismatch with interface of %@", errmsg);
	      cerror_for (either, @"previous declaration was here");
	    }
	}
      else
	{
	  if ([either declaredp])
	    error (@"redeclaration of %@", errmsg);
	  else
	    [either refreshLocation];
	}

      if (!is_class)
	{
	  /* Foreign is only allowed on a class interface.  Instance
	     interface and any implementation are not allowed.  */
	  if (foreign || [[[current_instance itsClass] semantics] foreign])
	    error (@"foreign instances are not possible");

	  /* The declaration of the class must have been seen before the
	     instance is encountered.  */
	  if (![counterpart declaredp] && ![counterpart definedp])
	    error (@"declaration of %@ should preceed %@ of %@",
		   ltt_meta_name ([counterpart structure]),
		   definitionp ? @"definition" : @"declaration",
		   ltt_meta_name (current_instance));
	}
      else
	{
	  if (foreign && ![either declaredp])
	    if (definitionp)
	      error (@"implementation of foreign class meaningless");
	    else
	      {
		[either setForeign: foreign];
		[counterpart setDeclared: YES];
	      }
	}

      if (definitionp)
	[either setDefined: YES];
      else
	[either setDeclared: YES];

      if (Q_DEFERRED (q))
	{
	  /* XXX This kind of information which is applicable to both the
	     instance and the class, should reside in the class; not in
	     both.  */
	  [either setDeferred: YES];
	  [counterpart setDeferred: YES];
	}
    }

  current_extension = [current_either extensionNamed: ext];
  if (!current_extension)
    {
      current_extension = [CO_LTTExtension extensionWithName: ext
					file: ltt_missing_file
					meta: current_either];

      error (@"inventing %@", ltt_ext_name (current_extension));
    }

  if (definitionp)
    {
      [C_EXT_SEMANTICS setDefined: YES];

      if (of)
	{
	  [extensions_output addElement: C_EXT_SEMANTICS];
	  if ([current_extension isMainExtension])
	    if (current_class)
	      {
		[C_EXT_SEMANTICS addSuper: [ltt_class_any semantics]];
		[C_EXT_SEMANTICS addSuper: [ltt_class_state semantics]];
	      }
	    else if (current_instance)
	      [C_EXT_SEMANTICS addSuper: [ltt_instance_any semantics]];
	}
    }
  else
    {
      [C_EXT_SEMANTICS setDeclared: YES];

      if (foreign)
	{
	  /* This is a class.  Set the instance declared.  */
	  [[[[counterpart structure] extensionNamed: ext]
	    semantics] setDeclared: YES];

	  /* Make sure the information on the class object in this
             interface is output.  */
	  if (of)
	    [extensions_output addElement: C_EXT_SEMANTICS];
	}
    }

  if (current_extension)
    push_report_context (formac (nil, @"in %@",
				 ltt_ext_name (current_extension)));
  else if (current_either)
    push_report_context (formac (nil, @"in %@",
				 ltt_meta_name (current_either)));
  else
    push_report_context (formac (nil, @"somewhere in `%@'", current_filename));

  in_what = definitionp ? IMPLEMENTATION_SCOPE : INTERFACE_SCOPE;
}

OTMExpr *
do_return_stmt (int kind, OTMExpr *expr)
{
  OTMExpr *r = nil;

  if (current_method)
    if (expr)
      {
	id rt = [current_method returnType];

	if (rt == basic_type[BT_VOID])
	  if (kind)
	    r = [CO_OTMReturn assignmentWithLhs: void_expr rhs: expr];
	  else
	    {
	      warning (@"setting void return value has no effect");
	      r = expr;
	    }
	else
	  {
	    OTMExpr *e = [current_method returnValue];

	    if (expr == void_expr)
	      {
		if (!e)
		  {
		    e = temp_something_with_type (rt, 0);
		    emit_assignment (e, nil_something_with_type (rt));
		    [current_method setReturnValue: e];
		  }

		/* Allow `return;' to indicate immediate return without
		   affecting the return value.  */
		expr = e;
	      }
	    else if (!e)
	      {
		e = temp_something_with_type (rt, 0);
		[current_method setReturnValue: e];
	      }

	    r = (kind == 1 ? [CO_OTMReturn assignmentWithLhs: e rhs: expr]
		 : (id) [CO_OTMAssignment assignmentWithLhs: e rhs: expr]);
	  }

	if (kind == 1)
	  [current_method setHaveReturnStatement];
      }

  return r;
}

OTMCompound *
enter_compound (void)
{
  if (current_compound || current_method)
    {
      current_compound = [CO_OTMCompound compoundWithContainer:
					 (current_compound ? current_compound
					  : (id) current_method)];
      if (![current_method body])
	[current_method setBody: current_compound];
    }

  return current_compound;
}

void
exit_compound (void)
{
  if (current_compound)
    {
      current_compound = [current_compound container];
      if (current_compound == (id) current_method)
	current_compound = nil;
    }
}

void
init_local_var (OTMVariable *v, OTMType *t, OTMExpr *expr)
{
  if (current_compound)
    {
      emit_local_var (v);
      emit_assignment (v, [resolve_expr (expr ? expr
					 : nil_something_with_type (t),
					 CONS (t, nil), nil,
					 C_EITHER_SEMANTICS) elaborate]);
      [current_compound releaseTemporaryVariables];
    }
}

OTMLocalVar *
create_local_var (id <TLString> name, OTMType *type, OTMExpr *expr)
{
  OTMLocalVar *r = [CO_OTMLocalVar variableWithName: name type: type];

  init_local_var (r, type, expr);

  return r;
}

#line 1165 "parse.y"
typedef union {
  int i;
  id v;
} YYSTYPE;
#include <stdio.h>

#ifndef __cplusplus
#ifndef __STDC__
#define const
#endif
#endif



#define	YYFINAL		466
#define	YYFLAG		-32768
#define	YYNTBASE	85

#define YYTRANSLATE(x) ((unsigned)(x) <= 315 ? yytranslate[x] : 205)

static const char yytranslate[] = {     0,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,    77,     2,     2,     2,    75,    70,     2,    81,
    82,    73,    71,    61,    72,    84,    74,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,    65,    60,    66,
    63,    67,    64,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
    79,     2,    83,    68,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,    62,    69,    80,    76,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     1,     2,     3,     4,     5,
     6,     7,     8,     9,    10,    11,    12,    13,    14,    15,
    16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
    26,    27,    28,    29,    30,    31,    32,    33,    34,    35,
    36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
    46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
    56,    57,    58,    59,    78
};

#if YYDEBUG != 0
static const short yyprhs[] = {     0,
     0,     1,     4,     7,    10,    13,    16,    18,    19,    20,
    33,    34,    35,    36,    50,    51,    52,    65,    66,    67,
    68,    82,    83,    84,    89,    90,    94,    98,   103,   109,
   111,   113,   115,   117,   119,   121,   123,   125,   127,   129,
   131,   136,   141,   145,   147,   151,   152,   155,   157,   160,
   164,   169,   171,   176,   181,   182,   184,   187,   188,   191,
   194,   197,   200,   201,   205,   206,   207,   215,   216,   218,
   219,   222,   225,   228,   231,   234,   237,   240,   243,   247,
   251,   252,   255,   256,   259,   260,   262,   264,   267,   271,
   277,   279,   282,   284,   286,   288,   290,   292,   294,   296,
   298,   300,   302,   304,   306,   308,   310,   312,   314,   316,
   318,   320,   322,   324,   326,   328,   330,   332,   334,   336,
   338,   340,   342,   344,   346,   348,   350,   352,   354,   356,
   358,   362,   363,   365,   368,   372,   374,   375,   378,   379,
   384,   385,   390,   391,   393,   395,   398,   400,   403,   405,
   407,   408,   413,   415,   417,   418,   422,   424,   428,   430,
   434,   435,   436,   437,   445,   446,   449,   450,   457,   458,
   459,   465,   466,   467,   479,   482,   484,   486,   488,   492,
   495,   498,   501,   504,   508,   512,   517,   522,   523,   525,
   526,   527,   530,   532,   534,   536,   538,   541,   543,   545,
   547,   549,   551,   553,   555,   557,   558,   563,   564,   565,
   571,   575,   579,   581,   585,   587,   590,   592,   595,   597,
   599,   602,   605,   608,   611,   615,   619,   623,   627,   631,
   635,   639,   643,   647,   651,   655,   659,   663,   667,   671,
   675,   679,   683,   687,   691,   697,   702,   704,   706,   708,
   710,   712,   714,   716,   718,   720,   725,   730,   735,   737,
   739,   744,   749,   754,   762,   765,   769,   771,   773,   775,
   778,   781,   785,   789,   791,   792,   796,   799,   801,   805,
   807,   809,   811,   813,   815,   817,   819,   821,   823,   827,
   831,   833,   835,   839,   841
};

static const short yyrhs[] = {    -1,
    85,    86,     0,    87,   197,     0,    94,   197,     0,    90,
   197,     0,    97,   197,     0,    59,     0,     0,     0,     9,
   124,   125,     3,   200,   115,    88,   112,    89,   101,   117,
     4,     0,     0,     0,     0,     7,   124,   125,     3,   200,
   115,    91,   112,    92,   101,    93,   136,     4,     0,     0,
     0,     9,   124,   125,     8,   200,   115,    95,   112,    96,
   101,   117,     4,     0,     0,     0,     0,     7,   124,   125,
     8,   200,   115,    98,   112,    99,   101,   100,   136,     4,
     0,     0,     0,    62,   102,   103,    80,     0,     0,   103,
   104,   197,     0,   125,   105,   196,     0,    14,   125,   105,
   196,     0,   125,    13,    55,    63,   175,     0,    58,     0,
   110,     0,   109,     0,    49,     0,    37,     0,   105,     0,
    37,     0,   105,     0,   105,     0,   201,     0,    11,     0,
     3,    81,   109,    82,     0,     8,    81,   109,    82,     0,
    81,   111,    82,     0,   108,     0,   111,    61,   108,     0,
     0,    65,   113,     0,   114,     0,    10,   114,     0,   113,
    61,   114,     0,   113,    61,    10,   114,     0,   203,     0,
     8,    81,   203,    82,     0,     3,    81,   203,    82,     0,
     0,   116,     0,     5,   204,     0,     0,   117,   118,     0,
   117,   137,     0,   117,     1,     0,   121,   197,     0,     0,
   121,   120,   138,     0,     0,     0,   122,   125,   124,   126,
   123,   127,   128,     0,     0,     6,     0,     0,   125,    30,
     0,   125,    31,     0,   125,    29,     0,   125,    32,     0,
   125,    33,     0,   125,    26,     0,   125,    28,     0,   125,
    27,     0,   106,   129,   133,     0,   106,   129,   130,     0,
     0,    24,   185,     0,     0,    25,   185,     0,     0,   135,
     0,   131,     0,   130,   131,     0,   132,   107,   134,     0,
   132,   107,   134,    63,   175,     0,   133,     0,   133,    65,
     0,    65,     0,    55,     0,     3,     0,     4,     0,     5,
     0,     6,     0,     7,     0,     8,     0,     9,     0,    14,
     0,    10,     0,    11,     0,    12,     0,    13,     0,    16,
     0,    17,     0,    18,     0,    19,     0,    20,     0,    21,
     0,    22,     0,    23,     0,    26,     0,    27,     0,    28,
     0,    29,     0,    30,     0,    31,     0,    32,     0,    33,
     0,    37,     0,    48,     0,    49,     0,    50,     0,    58,
     0,    57,     0,    55,     0,   135,     0,    81,   196,    82,
     0,     0,   137,     0,   136,   119,     0,    48,   105,    55,
     0,   197,     0,     0,   139,   140,     0,     0,    62,   141,
   144,    80,     0,     0,    62,   143,   144,    80,     0,     0,
   145,     0,   146,     0,   145,   146,     0,   147,     0,   150,
   197,     0,    59,     0,   148,     0,     0,   149,    62,   144,
    80,     0,   174,     0,   197,     0,     0,   105,   151,   152,
     0,   153,     0,   152,    61,   153,     0,    55,     0,    55,
    63,   175,     0,     0,     0,     0,    16,   155,   194,   156,
   148,   157,   158,     0,     0,    17,   148,     0,     0,    18,
   160,   146,    20,   194,   197,     0,     0,     0,    20,   162,
   194,   163,   146,     0,     0,     0,    19,    81,   172,   197,
   165,   171,   197,   166,   172,    82,   146,     0,   168,   175,
     0,   168,     0,    63,     0,    23,     0,   186,    63,   175,
     0,    51,   186,     0,   186,    51,     0,    52,   186,     0,
   186,    52,     0,   186,    53,   175,     0,   170,    63,   175,
     0,   175,    79,   195,    83,     0,   175,    79,     1,    83,
     0,     0,   175,     0,     0,     0,   173,   176,     0,   154,
     0,   164,     0,   159,     0,   161,     0,   175,   197,     0,
   185,     0,   169,     0,   167,     0,   184,     0,   183,     0,
   177,     0,   175,     0,   142,     0,     0,    34,   181,   178,
   175,     0,     0,     0,    35,   179,   181,   180,   175,     0,
    36,   181,   175,     0,    81,   182,    82,     0,   176,     0,
   182,    60,   176,     0,    21,     0,    21,   175,     0,    22,
     0,    22,   175,     0,   186,     0,   170,     0,    72,   175,
     0,    76,   175,     0,    77,   175,     0,    15,   175,     0,
   175,    73,   175,     0,   175,    74,   175,     0,   175,    75,
   175,     0,   175,    71,   175,     0,   175,    72,   175,     0,
   175,    45,   175,     0,   175,    46,   175,     0,   175,    47,
   175,     0,   175,    70,   175,     0,   175,    69,   175,     0,
   175,    68,   175,     0,   175,    66,   175,     0,   175,    40,
   175,     0,   175,    38,   175,     0,   175,    41,   175,     0,
   175,    39,   175,     0,   175,    67,   175,     0,   175,    42,
   175,     0,   175,    43,   175,     0,   175,    44,   175,     0,
   175,    64,   175,    65,   175,     0,   175,    64,   175,     1,
     0,    56,     0,   187,     0,    55,     0,    49,     0,    50,
     0,   194,     0,   190,     0,   188,     0,    54,     0,   189,
    81,   175,    82,     0,   189,    81,    12,    82,     0,   189,
    81,     1,    82,     0,   109,     0,    58,     0,    79,   176,
   191,   199,     0,    79,   201,   191,   199,     0,    79,    12,
   191,   199,     0,    79,    12,    81,   109,   198,   191,   199,
     0,    55,   194,     0,    79,     1,    83,     0,   132,     0,
   192,     0,   193,     0,   192,   193,     0,   132,   175,     0,
    81,   195,    82,     0,    81,     1,    82,     0,   176,     0,
     0,   195,    61,   176,     0,   195,    61,     0,    55,     0,
   196,    61,    55,     0,    60,     0,     1,     0,    82,     0,
     1,     0,    83,     0,     1,     0,   202,     0,   202,     0,
    57,     0,    57,    84,    57,     0,    55,    84,    57,     0,
   201,     0,    55,     0,    55,    84,    55,     0,    55,     0,
    57,     0
};

#endif

#if YYDEBUG != 0
static const short yyrline[] = { 0,
  1230,  1232,  1235,  1237,  1238,  1239,  1240,  1247,  1254,  1258,
  1265,  1272,  1276,  1280,  1290,  1297,  1301,  1308,  1315,  1319,
  1323,  1333,  1335,  1339,  1342,  1344,  1347,  1353,  1358,  1371,
  1373,  1374,  1377,  1379,  1380,  1383,  1385,  1388,  1395,  1400,
  1404,  1408,  1414,  1424,  1429,  1435,  1437,  1440,  1445,  1449,
  1453,  1459,  1461,  1465,  1471,  1473,  1476,  1480,  1482,  1483,
  1484,  1490,  1498,  1506,  1514,  1519,  1552,  1558,  1560,  1566,
  1568,  1579,  1585,  1591,  1597,  1603,  1609,  1615,  1623,  1630,
  1639,  1641,  1648,  1650,  1657,  1659,  1662,  1664,  1670,  1676,
  1683,  1685,  1690,  1696,  1698,  1699,  1700,  1701,  1702,  1703,
  1704,  1705,  1706,  1707,  1708,  1709,  1710,  1711,  1712,  1713,
  1714,  1715,  1716,  1717,  1718,  1719,  1720,  1721,  1722,  1723,
  1724,  1725,  1726,  1727,  1728,  1729,  1730,  1731,  1738,  1740,
  1743,  1750,  1752,  1753,  1756,  1763,  1780,  1797,  1799,  1821,
  1831,  1836,  1843,  1848,  1851,  1853,  1856,  1867,  1887,  1891,
  1897,  1901,  1906,  1907,  1915,  1921,  1926,  1928,  1934,  1939,
  1945,  1951,  1955,  1959,  1965,  1970,  1976,  1982,  1992,  1999,
  2003,  2010,  2018,  2022,  2042,  2047,  2053,  2055,  2058,  2063,
  2069,  2075,  2081,  2087,  2092,  2102,  2109,  2116,  2121,  2124,
  2129,  2134,  2143,  2145,  2146,  2147,  2148,  2151,  2153,  2154,
  2155,  2156,  2157,  2160,  2162,  2165,  2181,  2186,  2202,  2208,
  2216,  2237,  2244,  2249,  2255,  2260,  2266,  2271,  2277,  2279,
  2287,  2291,  2295,  2299,  2303,  2307,  2311,  2315,  2319,  2323,
  2327,  2331,  2335,  2339,  2343,  2347,  2351,  2355,  2359,  2363,
  2367,  2371,  2375,  2379,  2383,  2387,  2393,  2395,  2396,  2432,
  2436,  2440,  2441,  2442,  2445,  2456,  2472,  2477,  2484,  2486,
  2489,  2494,  2499,  2504,  2510,  2516,  2523,  2525,  2528,  2530,
  2536,  2543,  2553,  2560,  2566,  2571,  2576,  2583,  2588,  2594,
  2596,  2602,  2604,  2610,  2612,  2618,  2622,  2633,  2638,  2644,
  2650,  2652,  2658,  2674,  2676
};
#endif


#if YYDEBUG != 0 || defined (YYERROR_VERBOSE)

static const char * const yytname[] = {   "$","error","$undefined.","CLASS",
"END","EXTENSION","EXTERN","IMPLEMENTATION","INSTANCE","INTERFACE","POSING",
"RECEIVER","SUPER","CONST","LOCAL","OLD","IF","ELSE","DO","FOR","WHILE","BREAK",
"CONTINUE","RETURN","PRE","POST","PUBLIC","PRIVATE","PROTECTED","MUTABLE","STATIC",
"DEFERRED","REDEFINE","REDECLARE","CATCH","BIND","UNWIND","DYNAMIC","EQ","GE",
"LE","NE","AND","OR","IMPLIES","SHL","SHR","LSR","TYPEDEF","VOID","NIL","PLUSPLUS",
"MINMIN","ASSIGN","STRING_CST","IDENTIFIER","NUMBER","TYPE","BASIC_TYPE","C_LITERAL",
"';'","','","'{'","'='","'?'","':'","'<'","'>'","'^'","'|'","'&'","'+'","'-'",
"'*'","'/'","'%'","'~'","'!'","UNARY_MINUS","'['","'}'","'('","')'","']'","'.'",
"file","file_element","class_interface","@1","@2","class_implementation","@3",
"@4","@5","instance_interface","@6","@7","instance_implementation","@8","@9",
"@10",".object_variables.","@11","object_variables","object_variable","entity_type",
"return_type","argument_type","tuple_elt_type","object_type","tuple_type","tuple_type_field_list",
".colon_super_list.","super_list","super_indication",".extension.","extension",
"decl_list","annotated_method_decl","method_def","@12","shared_method_part",
"@13","@14",".foreign.",".qualifiers.","method_decl",".pre.",".post.",".return_value_name.",
"method_decl_parts","method_decl_part","method_name_part","bare_method_name_part",
"argument_name","tuple_argument_name","def_list","typedef","method_body","@15",
"method_body_expression","@16","compound","@17","top_expression_list","ne_top_expression_list",
"top_expression","actual_top_expression","top_expr","@18","local_var","@19",
"local_var_decl_list","local_var_decl","if_stmt","@20","@21","@22",".if_else.",
"do_stmt","@23","while_stmt","@24","@25","for_stmt","@26","@27","return_stmt",
"return_stmt_kind","assign_stmt","array_reference",".expr.",".compounded_expr.",
"@28","expr_sc","expr","expr_or_compound","special_form","@29","@30","@31","expr_sequence",
"expr_sequence_elts","break_stmt","continue_stmt","simple_expr","atom","string_cst",
"type_cast","type_cast_type","method_invocation","rest_of_method_invocation",
"method_invocation_parts","method_invocation_part","tuple","tuple_field_list",
"identifier_list","semicolon","close_paren","close_bracket","new_class_name",
"class_name","resolved_class_name","missing_class_name","extension_name", NULL
};
#endif

static const short yyr1[] = {     0,
    85,    85,    86,    86,    86,    86,    86,    88,    89,    87,
    91,    92,    93,    90,    95,    96,    94,    98,    99,   100,
    97,   101,   102,   101,   103,   103,   104,   104,   104,   105,
   105,   105,   106,   106,   106,   107,   107,   108,   109,   109,
   109,   109,   110,   111,   111,   112,   112,   113,   113,   113,
   113,   114,   114,   114,   115,   115,   116,   117,   117,   117,
   117,   118,   120,   119,   122,   123,   121,   124,   124,   125,
   125,   125,   125,   125,   125,   125,   125,   125,   126,   126,
   127,   127,   128,   128,   129,   129,   130,   130,   131,   131,
   132,   132,   132,   133,   133,   133,   133,   133,   133,   133,
   133,   133,   133,   133,   133,   133,   133,   133,   133,   133,
   133,   133,   133,   133,   133,   133,   133,   133,   133,   133,
   133,   133,   133,   133,   133,   133,   133,   133,   134,   134,
   135,   136,   136,   136,   137,   138,   139,   138,   141,   140,
   143,   142,   144,   144,   145,   145,   146,   147,   147,   147,
   149,   148,   148,   148,   151,   150,   152,   152,   153,   153,
   155,   156,   157,   154,   158,   158,   160,   159,   162,   163,
   161,   165,   166,   164,   167,   167,   168,   168,   169,   169,
   169,   169,   169,   169,   169,   170,   170,   171,   171,   172,
   173,   172,   174,   174,   174,   174,   174,   175,   175,   175,
   175,   175,   175,   176,   176,   178,   177,   179,   180,   177,
   177,   181,   182,   182,   183,   183,   184,   184,   185,   185,
   185,   185,   185,   185,   185,   185,   185,   185,   185,   185,
   185,   185,   185,   185,   185,   185,   185,   185,   185,   185,
   185,   185,   185,   185,   185,   185,   186,   186,   186,   186,
   186,   186,   186,   186,   187,   188,   188,   188,   189,   189,
   190,   190,   190,   190,   190,   190,   191,   191,   192,   192,
   193,   194,   194,   195,   195,   195,   195,   196,   196,   197,
   197,   198,   198,   199,   199,   200,   201,   202,   202,   202,
   203,   203,   203,   204,   204
};

static const short yyr2[] = {     0,
     0,     2,     2,     2,     2,     2,     1,     0,     0,    12,
     0,     0,     0,    13,     0,     0,    12,     0,     0,     0,
    13,     0,     0,     4,     0,     3,     3,     4,     5,     1,
     1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
     4,     4,     3,     1,     3,     0,     2,     1,     2,     3,
     4,     1,     4,     4,     0,     1,     2,     0,     2,     2,
     2,     2,     0,     3,     0,     0,     7,     0,     1,     0,
     2,     2,     2,     2,     2,     2,     2,     2,     3,     3,
     0,     2,     0,     2,     0,     1,     1,     2,     3,     5,
     1,     2,     1,     1,     1,     1,     1,     1,     1,     1,
     1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
     1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
     1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
     3,     0,     1,     2,     3,     1,     0,     2,     0,     4,
     0,     4,     0,     1,     1,     2,     1,     2,     1,     1,
     0,     4,     1,     1,     0,     3,     1,     3,     1,     3,
     0,     0,     0,     7,     0,     2,     0,     6,     0,     0,
     5,     0,     0,    11,     2,     1,     1,     1,     3,     2,
     2,     2,     2,     3,     3,     4,     4,     0,     1,     0,
     0,     2,     1,     1,     1,     1,     2,     1,     1,     1,
     1,     1,     1,     1,     1,     0,     4,     0,     0,     5,
     3,     3,     1,     3,     1,     2,     1,     2,     1,     1,
     2,     2,     2,     2,     3,     3,     3,     3,     3,     3,
     3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
     3,     3,     3,     3,     5,     4,     1,     1,     1,     1,
     1,     1,     1,     1,     1,     4,     4,     4,     1,     1,
     4,     4,     4,     7,     2,     3,     1,     1,     1,     2,
     2,     3,     3,     1,     0,     3,     2,     1,     3,     1,
     1,     1,     1,     1,     1,     1,     1,     1,     3,     3,
     1,     1,     3,     1,     1
};

static const short yydefact[] = {     1,
     0,    68,    68,     7,     2,     0,     0,     0,     0,    69,
    70,    70,   281,   280,     3,     5,     4,     6,     0,     0,
     0,     0,    76,    78,    77,    73,    71,    72,    74,    75,
     0,     0,     0,   288,    55,   286,    55,    55,    55,     0,
     0,     0,    11,    56,    18,     8,    15,   290,   289,   294,
   295,    57,    46,    46,    46,    46,     0,    12,    19,     9,
    16,     0,     0,     0,   292,    47,    48,   291,   287,    52,
    22,    22,    22,    22,     0,     0,    49,     0,     0,    23,
    13,    20,    58,    58,     0,     0,   293,     0,    50,    25,
   132,   132,     0,     0,    54,    53,    51,    70,     0,    65,
   133,    65,    61,    10,    59,     0,    70,    60,    17,    70,
    24,     0,     0,     0,     0,    40,    30,     0,     0,    32,
    31,    39,    14,   134,    63,    21,    62,    68,     0,    26,
     0,     0,     0,     0,    38,    44,     0,   135,     0,     0,
     0,     0,   278,    27,     0,     0,     0,    43,    64,     0,
   136,    34,    33,    35,    85,    66,    28,     0,     0,    41,
    42,    45,   139,   138,     0,     0,    86,    81,     0,   215,
   217,   178,     0,   208,     0,   250,   251,     0,     0,   255,
   249,   247,   260,   177,     0,     0,     0,     0,     0,   259,
   200,   176,   199,   220,    29,   203,   202,   201,   198,   219,
   248,   254,     0,   253,   252,   279,     0,     0,    95,    96,
    97,    98,    99,   100,   101,   103,   104,   105,   106,   102,
   107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
   117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
    94,   128,   127,    93,    80,    87,     0,    91,     0,    83,
   224,   216,   218,     0,   206,     0,     0,   180,   182,   265,
   221,   222,   223,     0,     0,   141,   205,   204,     0,    39,
     0,   274,     0,   175,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,     0,   181,   183,     0,
     0,     0,   161,   167,     0,   169,    30,   149,     0,   155,
    32,     0,     0,   145,   147,   150,     0,     0,   193,   195,
   196,   194,   153,     0,   154,   131,    88,    91,    36,    37,
     0,    92,     0,   198,     0,    67,   213,     0,     0,   209,
   211,   266,     0,   267,     0,   268,   269,     0,     0,     0,
   273,   277,   272,   185,   238,   240,   237,   239,   242,   243,
   244,   230,   231,   232,     0,   236,   241,   235,   234,   233,
   228,   229,   225,   226,   227,     0,     0,   184,   179,     0,
     0,     0,     0,     0,   191,     0,     0,   140,   146,     0,
   148,   197,   129,    89,   130,   198,     0,   212,   207,     0,
     0,   271,   285,   284,   263,     0,   270,     0,   261,   262,
   276,   246,     0,   187,   186,   258,   257,   256,   162,     0,
     0,     0,   170,   159,   156,   157,     0,     0,   214,   210,
   283,   282,     0,   142,   245,     0,     0,   172,   192,     0,
     0,     0,   152,    90,     0,   163,     0,   188,   171,   160,
   158,   264,   165,   168,     0,   189,     0,   164,   173,   166,
   191,     0,     0,   174,     0,     0
};

static const short yydefgoto[] = {     1,
     5,     6,    55,    73,     7,    53,    71,    91,     8,    56,
    74,     9,    54,    72,    92,    81,    90,    98,   112,   310,
   155,   331,   136,   190,   121,   137,    58,    66,    67,    43,
    44,    93,   105,   124,   139,   106,   107,   168,    11,    19,
   156,   250,   336,   166,   245,   246,   344,   328,   394,   167,
   100,   101,   149,   150,   164,   207,   267,   348,   312,   313,
   314,   315,   316,   317,   318,   387,   425,   426,   319,   383,
   436,   453,   458,   320,   384,   321,   386,   440,   322,   448,
   461,   191,   192,   193,   194,   455,   421,   422,   323,   324,
   272,   196,   339,   256,   400,   255,   338,   197,   198,   199,
   200,   201,   202,   203,   204,   345,   346,   347,   205,   273,
   144,   325,   433,   405,    35,   122,    69,    70,    52
};

static const short yypact[] = {-32768,
   197,    53,    53,-32768,-32768,    18,    18,    18,    18,-32768,
-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,   458,   597,
   -13,   -13,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
   -13,   -13,   -15,     2,    88,-32768,    88,    88,    88,    41,
    58,    -4,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
-32768,-32768,    85,    85,    85,    85,   225,-32768,-32768,-32768,
-32768,    70,   109,    17,   121,   148,-32768,-32768,-32768,-32768,
   150,   150,   150,   150,   138,   138,-32768,   141,   228,-32768,
-32768,-32768,-32768,-32768,   142,   145,-32768,    17,-32768,-32768,
   168,   168,   239,   916,-32768,-32768,-32768,     0,   134,   219,
-32768,   230,-32768,-32768,-32768,    18,-32768,-32768,-32768,-32768,
-32768,    18,  1150,   151,   158,-32768,-32768,   134,   174,-32768,
-32768,-32768,-32768,-32768,-32768,-32768,-32768,   407,  1247,-32768,
   186,   189,   335,   335,-32768,-32768,   -20,-32768,    29,   200,
   189,   183,-32768,   191,   172,   177,   134,-32768,-32768,   198,
-32768,-32768,-32768,-32768,   181,-32768,   191,  1083,   208,-32768,
-32768,-32768,-32768,-32768,   189,  1303,-32768,   249,  1083,  1083,
  1083,-32768,   193,-32768,   193,-32768,-32768,    68,    68,-32768,
   104,-32768,-32768,-32768,  1083,  1083,  1083,   795,   396,-32768,
-32768,  1083,-32768,   214,  1331,-32768,-32768,-32768,-32768,   131,
-32768,-32768,   205,-32768,-32768,-32768,   531,    27,-32768,-32768,
-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
-32768,-32768,-32768,-32768,  1303,-32768,   329,    32,  1083,   254,
   211,  1331,  1331,  1020,-32768,   193,  1083,-32768,-32768,-32768,
   211,   211,   211,   209,   972,-32768,-32768,  1331,  1303,  1303,
   216,-32768,    52,  1331,  1083,  1083,  1083,  1083,  1083,  1083,
  1083,  1083,  1083,  1083,  1083,  1083,  1083,  1083,  1083,  1083,
  1083,  1083,  1083,  1083,  1083,  1083,   300,-32768,-32768,  1083,
  1083,   858,-32768,-32768,   212,-32768,   218,-32768,   459,-32768,
   221,   227,   598,-32768,-32768,-32768,   243,    18,-32768,-32768,
-32768,-32768,-32768,  1127,-32768,-32768,-32768,   244,-32768,-32768,
   -23,-32768,  1331,    86,  1083,-32768,-32768,   -39,  1083,-32768,
  1331,-32768,   335,  1083,    21,  1303,-32768,   531,    21,    21,
-32768,  1020,-32768,  1331,  1418,  1418,  1418,  1418,  1401,  1387,
  1345,   484,   484,   484,  1174,  1418,  1418,   454,   498,   349,
   146,   146,   211,   211,   211,   233,   -37,  1331,  1331,   235,
   242,  1221,   229,   665,    59,   229,   270,-32768,-32768,   531,
-32768,-32768,-32768,   267,-32768,    54,  1020,-32768,  1331,  1083,
    25,  1331,-32768,-32768,-32768,  1083,-32768,   251,-32768,-32768,
-32768,-32768,  1083,-32768,-32768,-32768,-32768,-32768,-32768,   313,
    18,  1020,-32768,   276,   280,-32768,   262,  1083,-32768,  1331,
-32768,-32768,  1303,-32768,  1331,   732,   229,-32768,-32768,   665,
  1083,   270,-32768,  1331,    21,-32768,    18,  1083,-32768,  1331,
-32768,-32768,   327,-32768,    18,  1331,   732,-32768,-32768,-32768,
   265,   266,   665,-32768,   353,-32768
};

static const short yypgoto[] = {-32768,
-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
-32768,-32768,-32768,-32768,-32768,   255,-32768,-32768,-32768,   -45,
-32768,-32768,   213,   -95,-32768,-32768,   315,-32768,    11,   336,
-32768,   275,-32768,-32768,-32768,    99,-32768,-32768,     8,    -2,
-32768,-32768,-32768,-32768,-32768,   119,  -160,   199,-32768,    36,
   286,   -12,-32768,-32768,-32768,-32768,-32768,-32768,  -313,-32768,
  -263,-32768,  -316,-32768,-32768,-32768,-32768,   -62,-32768,-32768,
-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
-32768,-32768,-32768,-32768,-32768,-32768,   -79,-32768,-32768,  -122,
  -171,-32768,-32768,-32768,-32768,  -146,-32768,-32768,-32768,  -234,
   -35,-32768,-32768,-32768,-32768,  -257,-32768,    39,  -176,    91,
  -104,    -6,-32768,  -342,   282,   -48,   107,    55,-32768
};


#define	YYLAST		1497


static const short yytable[] = {    15,
    16,    17,    18,   120,   260,   247,   409,   410,    68,    20,
    12,   349,   350,   110,   334,    68,   269,   120,    13,    62,
   397,   403,   120,   352,    63,   431,    68,    68,   257,    13,
    68,   393,   -79,   120,   408,   195,   157,   145,   146,    68,
   147,    33,   398,    34,   120,   415,   251,   252,   253,   389,
    50,   120,    51,   119,   -84,   -79,   -79,   165,    10,  -190,
   208,   148,   261,   262,   263,   268,   268,   132,    40,   274,
   114,    65,   135,    34,    77,   115,   427,    14,   116,   111,
   108,   108,   337,   141,   247,    41,   -82,   159,    14,    89,
  -137,   -79,    42,   -79,   154,   113,   332,    48,    97,   127,
   396,   135,   452,   404,   128,   130,   432,   129,   326,   340,
   -82,   311,   352,   -84,    49,   -84,   176,   177,  -190,   446,
   420,   180,   181,   182,    34,   183,   333,    36,    36,    85,
    86,   268,   151,   353,   341,   140,   114,    36,    36,   270,
   460,   115,   258,   259,   116,   -82,   188,   -82,   189,    57,
    75,   120,   354,   355,   356,   357,   358,   359,   360,   361,
   362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
   372,   373,   374,   375,   268,   445,   449,   378,   379,   382,
   411,   298,   299,   300,   189,   406,   268,    40,    33,    76,
    34,   117,    65,   301,    34,    87,   465,    48,   125,   464,
   125,   330,   114,     2,    78,     3,   419,   115,    79,   423,
   116,    80,   333,   311,   118,    99,   399,   311,   294,   295,
   296,   402,   123,    95,   297,   429,    96,    62,   138,   268,
    62,   133,    63,   126,    64,    63,   152,    88,   134,   103,
   142,   -65,   104,   143,   -65,   158,   -65,   401,   153,   -65,
   439,   159,   311,   160,    33,     4,    34,   117,   161,   163,
   447,   165,   206,   135,   -65,   -65,   -65,   -65,   -65,   -65,
   -65,   -65,   249,   254,   268,   -65,   275,   430,   335,    65,
   118,    34,    65,   402,    34,   302,    99,   -65,   311,   297,
   435,   342,   385,   -65,   311,   -65,   -65,   351,  -260,   268,
   376,  -259,   114,    37,   390,   444,   388,   115,   332,   189,
   116,   391,    38,    39,   169,   414,   416,   392,   450,   -65,
   170,   171,   172,   417,   424,   456,    82,    83,    84,   428,
   434,   114,   437,   173,   174,   175,   115,   114,   441,   116,
   442,   443,   115,   457,   311,   116,  -190,   463,   176,   177,
   178,   179,   466,   180,   181,   182,    34,   183,    94,   162,
  -275,   266,   184,   327,   248,   329,   395,   311,    59,    60,
    61,   185,    45,    46,    47,   186,   187,   102,   188,   451,
   189,   462,  -275,    33,   407,    34,   117,   377,     0,    33,
     0,    34,     0,   283,   284,   285,   271,     0,   114,     0,
     0,     0,     0,   115,     0,     0,   116,     0,     0,   118,
   169,     0,    10,     0,   438,     0,   170,   171,   172,   292,
   293,   294,   295,   296,     0,     0,     0,   297,     0,   173,
   174,   175,    23,    24,    25,    26,    27,    28,    29,    30,
   454,     0,     0,     0,   176,   177,   178,   179,   459,   180,
   181,   182,    34,   183,     0,     0,  -275,   266,   184,   271,
    21,   114,     0,     0,     0,    22,   115,   185,     0,   116,
     0,   186,   187,   169,   188,     0,   189,  -275,     0,   170,
   171,   172,     0,    23,    24,    25,    26,    27,    28,    29,
    30,     0,   173,   174,   175,     0,     0,     0,   283,   284,
   285,     0,     0,     0,     0,     0,     0,   176,   177,   178,
   179,     0,   180,   181,   182,    34,   307,     0,     0,  -275,
   266,   184,   290,   291,   292,   293,   294,   295,   296,     0,
   185,    13,   297,   114,   186,   187,     0,   188,   115,   309,
  -275,   116,   283,   284,   285,   169,   303,     0,   304,   305,
   306,   170,   171,   172,   292,   293,   294,   295,   296,     0,
     0,     0,   297,     0,   173,   174,   175,   291,   292,   293,
   294,   295,   296,     0,     0,     0,   297,     0,     0,   176,
   177,   178,   179,     0,   180,   181,   182,    34,   307,   308,
    14,     0,  -151,   184,     0,     0,     0,     0,    13,    31,
   114,     0,   185,     0,    32,   115,   186,   187,   116,   188,
  -143,   309,   169,   303,     0,   304,   305,   306,   170,   171,
   172,     0,    23,    24,    25,    26,    27,    28,    29,    30,
     0,   173,   174,   175,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,   176,   177,   178,   179,
     0,   180,   181,   182,    34,   307,   308,    14,     0,  -151,
   184,     0,     0,     0,     0,    13,     0,   114,     0,   185,
     0,     0,   115,   186,   187,   116,   188,  -144,   309,   169,
   303,     0,   304,   305,   306,   170,   171,   172,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,   173,   174,
   175,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,   176,   177,   178,   179,     0,   180,   181,
   182,    34,   307,   308,    14,     0,  -151,   184,     0,     0,
     0,     0,    13,     0,   114,     0,   185,     0,     0,   115,
   186,   187,   116,   188,     0,   309,   169,   303,     0,   304,
   305,   306,   170,   171,   172,     0,     0,     0,     0,     0,
     0,     0,     0,     0,     0,   173,   174,   175,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
   176,   177,   178,   179,     0,   180,   181,   182,    34,   183,
     0,    14,     0,  -151,   184,   264,     0,   114,     0,     0,
     0,     0,   115,   185,     0,   116,   265,   186,   187,   169,
   188,     0,   189,     0,     0,   170,   171,   172,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,   173,   174,
   175,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,   176,   177,   178,   179,     0,   180,   181,
   182,    34,   183,     0,     0,     0,   266,   184,   380,     0,
   114,     0,     0,     0,     0,   115,   185,     0,   116,   381,
   186,   187,   169,   188,     0,   189,     0,     0,   170,   171,
   172,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,   173,   174,   175,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,   176,   177,   178,   179,
     0,   180,   181,   182,    34,   183,   103,     0,   -65,   109,
   184,   -65,     0,   -65,     0,     0,   -65,     0,     0,   185,
     0,     0,     0,   186,   187,     0,   188,     0,   189,     0,
     0,   -65,   -65,   -65,   -65,   -65,   -65,   -65,   -65,     0,
     0,     0,   -65,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,    99,   -65,     0,     0,     0,     0,     0,
   -65,     0,   -65,   -65,   209,   210,   211,   212,   213,   214,
   215,   216,   217,   218,   219,   220,     0,   221,   222,   223,
   224,   225,   226,   227,   228,     0,   -65,   229,   230,   231,
   232,   233,   234,   235,   236,     0,     0,     0,   237,     0,
     0,     0,     0,     0,     0,     0,     0,     0,     0,   238,
   239,   240,   114,     0,     0,     0,   241,   115,   242,   243,
   116,     0,     0,     0,   169,     0,   244,     0,     0,     0,
   170,   171,   172,     0,     0,     0,     0,     0,     0,     0,
     0,     0,   343,   173,   174,   175,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,   176,   177,
   178,   179,     0,   180,   181,   182,    34,   183,     0,     0,
     0,   266,   184,     0,     0,   114,     0,     0,     0,     0,
   115,   185,     0,   116,     0,   186,   187,   169,   188,     0,
   189,     0,     0,   170,   171,   172,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,   173,   174,   175,     0,
     0,     0,     0,     0,     0,     0,     0,    13,     0,     0,
     0,   176,   177,   178,   179,     0,   180,   181,   182,    34,
   183,     0,     0,     0,     0,   184,     0,     0,     0,     0,
     0,     0,   114,     0,   185,     0,     0,   115,   186,   187,
   116,   188,   131,   189,   276,   277,   278,   279,   280,   281,
   282,   283,   284,   285,   412,    23,    24,    25,    26,    27,
    28,    29,    30,     0,     0,     0,    14,     0,     0,     0,
   286,     0,   287,   288,   289,   290,   291,   292,   293,   294,
   295,   296,     0,     0,    33,   297,    34,   117,     0,     0,
     0,   276,   277,   278,   279,   280,   281,   282,   283,   284,
   285,     0,     0,     0,     0,     0,     0,     0,     0,     0,
   118,     0,     0,     0,     0,     0,     0,   286,   413,   287,
   288,   289,   290,   291,   292,   293,   294,   295,   296,   114,
     0,     0,   297,     0,   115,     0,     0,   116,   276,   277,
   278,   279,   280,   281,   282,   283,   284,   285,     0,     0,
     0,     0,    23,    24,    25,    26,    27,    28,    29,    30,
     0,     0,     0,     0,   286,     0,   287,   288,   289,   290,
   291,   292,   293,   294,   295,   296,     0,     0,     0,   297,
     0,    33,   418,    34,   117,   209,   210,   211,   212,   213,
   214,   215,   216,   217,   218,   219,   220,     0,   221,   222,
   223,   224,   225,   226,   227,   228,     0,   118,   229,   230,
   231,   232,   233,   234,   235,   236,     0,     0,     0,   237,
     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
   238,   239,   240,     0,     0,     0,     0,   241,     0,   242,
   243,     0,     0,     0,     0,     0,     0,   244,   276,   277,
   278,   279,   280,   281,   282,   283,   284,   285,     0,     0,
     0,     0,   276,   277,   278,   279,   280,   281,     0,   283,
   284,   285,     0,     0,   286,     0,   287,   288,   289,   290,
   291,   292,   293,   294,   295,   296,     0,     0,     0,   297,
   287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     0,     0,     0,   297,   276,   277,   278,   279,   280,     0,
     0,   283,   284,   285,     0,     0,     0,     0,   276,   277,
   278,   279,     0,     0,     0,   283,   284,   285,     0,     0,
     0,     0,   287,   288,   289,   290,   291,   292,   293,   294,
   295,   296,   283,   284,   285,   297,   287,   288,   289,   290,
   291,   292,   293,   294,   295,   296,     0,     0,     0,   297,
     0,     0,     0,     0,     0,   289,   290,   291,   292,   293,
   294,   295,   296,     0,     0,     0,   297
};

static const short yycheck[] = {     6,
     7,     8,     9,    99,   181,   166,   349,   350,    57,    12,
     3,   269,   270,    14,   249,    64,   188,   113,     1,     3,
    60,     1,   118,    61,     8,     1,    75,    76,   175,     1,
    79,    55,     1,   129,   348,   158,   141,   133,   134,    88,
    61,    55,    82,    57,   140,    83,   169,   170,   171,   313,
    55,   147,    57,    99,     1,    24,    25,    81,     6,     1,
   165,    82,   185,   186,   187,   188,   189,   113,    84,   192,
     3,    55,   118,    57,    64,     8,   390,    60,    11,    80,
    93,    94,   254,   129,   245,    84,     1,    61,    60,    79,
    62,    60,     5,    62,   140,    98,    65,    57,    88,   106,
   335,   147,   445,    83,   107,   112,    82,   110,    82,   256,
    25,   207,    61,    60,    57,    62,    49,    50,    60,   436,
   384,    54,    55,    56,    57,    58,   249,    21,    22,    75,
    76,   254,   139,    82,   257,   128,     3,    31,    32,   188,
   457,     8,   178,   179,    11,    60,    79,    62,    81,    65,
    81,   247,   275,   276,   277,   278,   279,   280,   281,   282,
   283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
   293,   294,   295,   296,   297,   433,   440,   300,   301,   302,
   352,    51,    52,    53,    81,   346,   309,    84,    55,    81,
    57,    58,    55,    63,    57,    55,     0,    57,   100,   463,
   102,   247,     3,     7,    84,     9,   383,     8,    61,   386,
    11,    62,   335,   309,    81,    48,   339,   313,    73,    74,
    75,   344,     4,    82,    79,   397,    82,     3,    55,   352,
     3,    81,     8,     4,    10,     8,    37,    10,    81,     1,
    55,     3,     4,    55,     6,    63,     8,   343,    49,    11,
   422,    61,   348,    82,    55,    59,    57,    58,    82,    62,
   437,    81,    55,   309,    26,    27,    28,    29,    30,    31,
    32,    33,    24,    81,   397,    37,    63,   400,    25,    55,
    81,    57,    55,   406,    57,    81,    48,    49,   384,    79,
   413,    83,    81,    55,   390,    57,    58,    82,    81,   422,
     1,    81,     3,    22,    62,   428,    80,     8,    65,    81,
    11,   318,    31,    32,    15,    83,    82,   324,   441,    81,
    21,    22,    23,    82,    55,   448,    72,    73,    74,    63,
    80,     3,    20,    34,    35,    36,     8,     3,    63,    11,
    61,    80,     8,    17,   440,    11,    82,    82,    49,    50,
    51,    52,     0,    54,    55,    56,    57,    58,    84,   147,
    61,    62,    63,   245,   166,    37,   331,   463,    54,    55,
    56,    72,    37,    38,    39,    76,    77,    92,    79,   442,
    81,   461,    83,    55,   346,    57,    58,   297,    -1,    55,
    -1,    57,    -1,    45,    46,    47,     1,    -1,     3,    -1,
    -1,    -1,    -1,     8,    -1,    -1,    11,    -1,    -1,    81,
    15,    -1,     6,    -1,   421,    -1,    21,    22,    23,    71,
    72,    73,    74,    75,    -1,    -1,    -1,    79,    -1,    34,
    35,    36,    26,    27,    28,    29,    30,    31,    32,    33,
   447,    -1,    -1,    -1,    49,    50,    51,    52,   455,    54,
    55,    56,    57,    58,    -1,    -1,    61,    62,    63,     1,
     3,     3,    -1,    -1,    -1,     8,     8,    72,    -1,    11,
    -1,    76,    77,    15,    79,    -1,    81,    82,    -1,    21,
    22,    23,    -1,    26,    27,    28,    29,    30,    31,    32,
    33,    -1,    34,    35,    36,    -1,    -1,    -1,    45,    46,
    47,    -1,    -1,    -1,    -1,    -1,    -1,    49,    50,    51,
    52,    -1,    54,    55,    56,    57,    58,    -1,    -1,    61,
    62,    63,    69,    70,    71,    72,    73,    74,    75,    -1,
    72,     1,    79,     3,    76,    77,    -1,    79,     8,    81,
    82,    11,    45,    46,    47,    15,    16,    -1,    18,    19,
    20,    21,    22,    23,    71,    72,    73,    74,    75,    -1,
    -1,    -1,    79,    -1,    34,    35,    36,    70,    71,    72,
    73,    74,    75,    -1,    -1,    -1,    79,    -1,    -1,    49,
    50,    51,    52,    -1,    54,    55,    56,    57,    58,    59,
    60,    -1,    62,    63,    -1,    -1,    -1,    -1,     1,     3,
     3,    -1,    72,    -1,     8,     8,    76,    77,    11,    79,
    80,    81,    15,    16,    -1,    18,    19,    20,    21,    22,
    23,    -1,    26,    27,    28,    29,    30,    31,    32,    33,
    -1,    34,    35,    36,    -1,    -1,    -1,    -1,    -1,    -1,
    -1,    -1,    -1,    -1,    -1,    -1,    49,    50,    51,    52,
    -1,    54,    55,    56,    57,    58,    59,    60,    -1,    62,
    63,    -1,    -1,    -1,    -1,     1,    -1,     3,    -1,    72,
    -1,    -1,     8,    76,    77,    11,    79,    80,    81,    15,
    16,    -1,    18,    19,    20,    21,    22,    23,    -1,    -1,
    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    34,    35,
    36,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    -1,    -1,    -1,    49,    50,    51,    52,    -1,    54,    55,
    56,    57,    58,    59,    60,    -1,    62,    63,    -1,    -1,
    -1,    -1,     1,    -1,     3,    -1,    72,    -1,    -1,     8,
    76,    77,    11,    79,    -1,    81,    15,    16,    -1,    18,
    19,    20,    21,    22,    23,    -1,    -1,    -1,    -1,    -1,
    -1,    -1,    -1,    -1,    -1,    34,    35,    36,    -1,    -1,
    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    49,    50,    51,    52,    -1,    54,    55,    56,    57,    58,
    -1,    60,    -1,    62,    63,     1,    -1,     3,    -1,    -1,
    -1,    -1,     8,    72,    -1,    11,    12,    76,    77,    15,
    79,    -1,    81,    -1,    -1,    21,    22,    23,    -1,    -1,
    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    34,    35,
    36,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    -1,    -1,    -1,    49,    50,    51,    52,    -1,    54,    55,
    56,    57,    58,    -1,    -1,    -1,    62,    63,     1,    -1,
     3,    -1,    -1,    -1,    -1,     8,    72,    -1,    11,    12,
    76,    77,    15,    79,    -1,    81,    -1,    -1,    21,    22,
    23,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    -1,    34,    35,    36,    -1,    -1,    -1,    -1,    -1,    -1,
    -1,    -1,    -1,    -1,    -1,    -1,    49,    50,    51,    52,
    -1,    54,    55,    56,    57,    58,     1,    -1,     3,     4,
    63,     6,    -1,     8,    -1,    -1,    11,    -1,    -1,    72,
    -1,    -1,    -1,    76,    77,    -1,    79,    -1,    81,    -1,
    -1,    26,    27,    28,    29,    30,    31,    32,    33,    -1,
    -1,    -1,    37,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    -1,
    55,    -1,    57,    58,     3,     4,     5,     6,     7,     8,
     9,    10,    11,    12,    13,    14,    -1,    16,    17,    18,
    19,    20,    21,    22,    23,    -1,    81,    26,    27,    28,
    29,    30,    31,    32,    33,    -1,    -1,    -1,    37,    -1,
    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    48,
    49,    50,     3,    -1,    -1,    -1,    55,     8,    57,    58,
    11,    -1,    -1,    -1,    15,    -1,    65,    -1,    -1,    -1,
    21,    22,    23,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    -1,    -1,    81,    34,    35,    36,    -1,    -1,    -1,    -1,
    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    49,    50,
    51,    52,    -1,    54,    55,    56,    57,    58,    -1,    -1,
    -1,    62,    63,    -1,    -1,     3,    -1,    -1,    -1,    -1,
     8,    72,    -1,    11,    -1,    76,    77,    15,    79,    -1,
    81,    -1,    -1,    21,    22,    23,    -1,    -1,    -1,    -1,
    -1,    -1,    -1,    -1,    -1,    -1,    34,    35,    36,    -1,
    -1,    -1,    -1,    -1,    -1,    -1,    -1,     1,    -1,    -1,
    -1,    49,    50,    51,    52,    -1,    54,    55,    56,    57,
    58,    -1,    -1,    -1,    -1,    63,    -1,    -1,    -1,    -1,
    -1,    -1,     3,    -1,    72,    -1,    -1,     8,    76,    77,
    11,    79,    13,    81,    38,    39,    40,    41,    42,    43,
    44,    45,    46,    47,     1,    26,    27,    28,    29,    30,
    31,    32,    33,    -1,    -1,    -1,    60,    -1,    -1,    -1,
    64,    -1,    66,    67,    68,    69,    70,    71,    72,    73,
    74,    75,    -1,    -1,    55,    79,    57,    58,    -1,    -1,
    -1,    38,    39,    40,    41,    42,    43,    44,    45,    46,
    47,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    81,    -1,    -1,    -1,    -1,    -1,    -1,    64,    65,    66,
    67,    68,    69,    70,    71,    72,    73,    74,    75,     3,
    -1,    -1,    79,    -1,     8,    -1,    -1,    11,    38,    39,
    40,    41,    42,    43,    44,    45,    46,    47,    -1,    -1,
    -1,    -1,    26,    27,    28,    29,    30,    31,    32,    33,
    -1,    -1,    -1,    -1,    64,    -1,    66,    67,    68,    69,
    70,    71,    72,    73,    74,    75,    -1,    -1,    -1,    79,
    -1,    55,    82,    57,    58,     3,     4,     5,     6,     7,
     8,     9,    10,    11,    12,    13,    14,    -1,    16,    17,
    18,    19,    20,    21,    22,    23,    -1,    81,    26,    27,
    28,    29,    30,    31,    32,    33,    -1,    -1,    -1,    37,
    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    48,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    57,
    58,    -1,    -1,    -1,    -1,    -1,    -1,    65,    38,    39,
    40,    41,    42,    43,    44,    45,    46,    47,    -1,    -1,
    -1,    -1,    38,    39,    40,    41,    42,    43,    -1,    45,
    46,    47,    -1,    -1,    64,    -1,    66,    67,    68,    69,
    70,    71,    72,    73,    74,    75,    -1,    -1,    -1,    79,
    66,    67,    68,    69,    70,    71,    72,    73,    74,    75,
    -1,    -1,    -1,    79,    38,    39,    40,    41,    42,    -1,
    -1,    45,    46,    47,    -1,    -1,    -1,    -1,    38,    39,
    40,    41,    -1,    -1,    -1,    45,    46,    47,    -1,    -1,
    -1,    -1,    66,    67,    68,    69,    70,    71,    72,    73,
    74,    75,    45,    46,    47,    79,    66,    67,    68,    69,
    70,    71,    72,    73,    74,    75,    -1,    -1,    -1,    79,
    -1,    -1,    -1,    -1,    -1,    68,    69,    70,    71,    72,
    73,    74,    75,    -1,    -1,    -1,    79
};
#define YYPURE 1

/* -*-C-*-  Note some compilers choke on comments on `#line' lines.  */
#line 3 "/usr/share/bison.simple"

/* Skeleton output parser for bison,
   Copyright (C) 1984, 1989, 1990 Free Software Foundation, Inc.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.  */

/* As a special exception, when this file is copied by Bison into a
   Bison output file, you may use that output file without restriction.
   This special exception was added by the Free Software Foundation
   in version 1.24 of Bison.  */

#ifndef alloca
#ifdef __GNUC__
#define alloca __builtin_alloca
#else /* not GNU C.  */
#if (!defined (__STDC__) && defined (sparc)) || defined (__sparc__) || defined (__sparc) || defined (__sgi)
#include <alloca.h>
#else /* not sparc */
#if defined (MSDOS) && !defined (__TURBOC__)
#include <malloc.h>
#else /* not MSDOS, or __TURBOC__ */
#if defined(_AIX)
#include <malloc.h>
 #pragma alloca
#else /* not MSDOS, __TURBOC__, or _AIX */
#ifdef __hpux
#ifdef __cplusplus
extern "C" {
void *alloca (unsigned int);
};
#else /* not __cplusplus */
void *alloca ();
#endif /* not __cplusplus */
#endif /* __hpux */
#endif /* not _AIX */
#endif /* not MSDOS, or __TURBOC__ */
#endif /* not sparc.  */
#endif /* not GNU C.  */
#endif /* alloca not defined.  */

/* This is the parser code that is written into each bison parser
  when the %semantic_parser declaration is not specified in the grammar.
  It was written by Richard Stallman by simplifying the hairy parser
  used when %semantic_parser is specified.  */

/* Note: there must be only one dollar sign in this file.
   It is replaced by the list of actions, each action
   as one case of the switch.  */

#define yyerrok		(yyerrstatus = 0)
#define yyclearin	(yychar = YYEMPTY)
#define YYEMPTY		-2
#define YYEOF		0
#define YYACCEPT	return(0)
#define YYABORT 	return(1)
#define YYERROR		goto yyerrlab1
/* Like YYERROR except do call yyerror.
   This remains here temporarily to ease the
   transition to the new meaning of YYERROR, for GCC.
   Once GCC version 2 has supplanted version 1, this can go.  */
#define YYFAIL		goto yyerrlab
#define YYRECOVERING()  (!!yyerrstatus)
#define YYBACKUP(token, value) \
do								\
  if (yychar == YYEMPTY && yylen == 1)				\
    { yychar = (token), yylval = (value);			\
      yychar1 = YYTRANSLATE (yychar);				\
      YYPOPSTACK;						\
      goto yybackup;						\
    }								\
  else								\
    { yyerror ("syntax error: cannot back up"); YYERROR; }	\
while (0)

#define YYTERROR	1
#define YYERRCODE	256

#ifndef YYPURE
#define YYLEX		yylex()
#endif

#ifdef YYPURE
#ifdef YYLSP_NEEDED
#ifdef YYLEX_PARAM
#define YYLEX		yylex(&yylval, &yylloc, YYLEX_PARAM)
#else
#define YYLEX		yylex(&yylval, &yylloc)
#endif
#else /* not YYLSP_NEEDED */
#ifdef YYLEX_PARAM
#define YYLEX		yylex(&yylval, YYLEX_PARAM)
#else
#define YYLEX		yylex(&yylval)
#endif
#endif /* not YYLSP_NEEDED */
#endif

/* If nonreentrant, generate the variables here */

#ifndef YYPURE

int	yychar;			/*  the lookahead symbol		*/
YYSTYPE	yylval;			/*  the semantic value of the		*/
				/*  lookahead symbol			*/

#ifdef YYLSP_NEEDED
YYLTYPE yylloc;			/*  location data for the lookahead	*/
				/*  symbol				*/
#endif

int yynerrs;			/*  number of parse errors so far       */
#endif  /* not YYPURE */

#if YYDEBUG != 0
int yydebug;			/*  nonzero means print parse trace	*/
/* Since this is uninitialized, it does not stop multiple parsers
   from coexisting.  */
#endif

/*  YYINITDEPTH indicates the initial size of the parser's stacks	*/

#ifndef	YYINITDEPTH
#define YYINITDEPTH 200
#endif

/*  YYMAXDEPTH is the maximum size the stacks can grow to
    (effective only if the built-in stack extension method is used).  */

#if YYMAXDEPTH == 0
#undef YYMAXDEPTH
#endif

#ifndef YYMAXDEPTH
#define YYMAXDEPTH 10000
#endif

/* Prevent warning if -Wstrict-prototypes.  */
#ifdef __GNUC__
int yyparse (void);
#endif

#if __GNUC__ > 1		/* GNU C and GNU C++ define this.  */
#define __yy_memcpy(TO,FROM,COUNT)	__builtin_memcpy(TO,FROM,COUNT)
#else				/* not GNU C or C++ */
#ifndef __cplusplus

/* This is the most reliable way to avoid incompatibilities
   in available built-in functions on various systems.  */
static void
__yy_memcpy (to, from, count)
     char *to;
     char *from;
     int count;
{
  register char *f = from;
  register char *t = to;
  register int i = count;

  while (i-- > 0)
    *t++ = *f++;
}

#else /* __cplusplus */

/* This is the most reliable way to avoid incompatibilities
   in available built-in functions on various systems.  */
static void
__yy_memcpy (char *to, char *from, int count)
{
  register char *f = from;
  register char *t = to;
  register int i = count;

  while (i-- > 0)
    *t++ = *f++;
}

#endif
#endif

#line 196 "/usr/share/bison.simple"

/* The user can define YYPARSE_PARAM as the name of an argument to be passed
   into yyparse.  The argument should have type void *.
   It should actually point to an object.
   Grammar actions can access the variable by casting it
   to the proper pointer type.  */

#ifdef YYPARSE_PARAM
#ifdef __cplusplus
#define YYPARSE_PARAM_ARG void *YYPARSE_PARAM
#define YYPARSE_PARAM_DECL
#else /* not __cplusplus */
#define YYPARSE_PARAM_ARG YYPARSE_PARAM
#define YYPARSE_PARAM_DECL void *YYPARSE_PARAM;
#endif /* not __cplusplus */
#else /* not YYPARSE_PARAM */
#define YYPARSE_PARAM_ARG
#define YYPARSE_PARAM_DECL
#endif /* not YYPARSE_PARAM */

int
yyparse(YYPARSE_PARAM_ARG)
     YYPARSE_PARAM_DECL
{
  register int yystate;
  register int yyn;
  register short *yyssp;
  register YYSTYPE *yyvsp;
  int yyerrstatus;	/*  number of tokens to shift before error messages enabled */
  int yychar1 = 0;		/*  lookahead token as an internal (translated) token number */

  short	yyssa[YYINITDEPTH];	/*  the state stack			*/
  YYSTYPE yyvsa[YYINITDEPTH];	/*  the semantic value stack		*/

  short *yyss = yyssa;		/*  refer to the stacks thru separate pointers */
  YYSTYPE *yyvs = yyvsa;	/*  to allow yyoverflow to reallocate them elsewhere */

#ifdef YYLSP_NEEDED
  YYLTYPE yylsa[YYINITDEPTH];	/*  the location stack			*/
  YYLTYPE *yyls = yylsa;
  YYLTYPE *yylsp;

#define YYPOPSTACK   (yyvsp--, yyssp--, yylsp--)
#else
#define YYPOPSTACK   (yyvsp--, yyssp--)
#endif

  int yystacksize = YYINITDEPTH;

#ifdef YYPURE
  int yychar;
  YYSTYPE yylval;
  int yynerrs;
#ifdef YYLSP_NEEDED
  YYLTYPE yylloc;
#endif
#endif

  YYSTYPE yyval;		/*  the variable used to return		*/
				/*  semantic values from the action	*/
				/*  routines				*/

  int yylen;

#if YYDEBUG != 0
  if (yydebug)
    fprintf(stderr, "Starting parse\n");
#endif

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY;		/* Cause a token to be read.  */

  /* Initialize stack pointers.
     Waste one element of value and location stack
     so that they stay on the same level as the state stack.
     The wasted elements are never initialized.  */

  yyssp = yyss - 1;
  yyvsp = yyvs;
#ifdef YYLSP_NEEDED
  yylsp = yyls;
#endif

/* Push a new state, which is found in  yystate  .  */
/* In all cases, when you get here, the value and location stacks
   have just been pushed. so pushing a state here evens the stacks.  */
yynewstate:

  *++yyssp = yystate;

  if (yyssp >= yyss + yystacksize - 1)
    {
      /* Give user a chance to reallocate the stack */
      /* Use copies of these so that the &'s don't force the real ones into memory. */
      YYSTYPE *yyvs1 = yyvs;
      short *yyss1 = yyss;
#ifdef YYLSP_NEEDED
      YYLTYPE *yyls1 = yyls;
#endif

      /* Get the current used size of the three stacks, in elements.  */
      int size = yyssp - yyss + 1;

#ifdef yyoverflow
      /* Each stack pointer address is followed by the size of
	 the data in use in that stack, in bytes.  */
#ifdef YYLSP_NEEDED
      /* This used to be a conditional around just the two extra args,
	 but that might be undefined if yyoverflow is a macro.  */
      yyoverflow("parser stack overflow",
		 &yyss1, size * sizeof (*yyssp),
		 &yyvs1, size * sizeof (*yyvsp),
		 &yyls1, size * sizeof (*yylsp),
		 &yystacksize);
#else
      yyoverflow("parser stack overflow",
		 &yyss1, size * sizeof (*yyssp),
		 &yyvs1, size * sizeof (*yyvsp),
		 &yystacksize);
#endif

      yyss = yyss1; yyvs = yyvs1;
#ifdef YYLSP_NEEDED
      yyls = yyls1;
#endif
#else /* no yyoverflow */
      /* Extend the stack our own way.  */
      if (yystacksize >= YYMAXDEPTH)
	{
	  yyerror("parser stack overflow");
	  return 2;
	}
      yystacksize *= 2;
      if (yystacksize > YYMAXDEPTH)
	yystacksize = YYMAXDEPTH;
      yyss = (short *) alloca (yystacksize * sizeof (*yyssp));
      __yy_memcpy ((char *)yyss, (char *)yyss1, size * sizeof (*yyssp));
      yyvs = (YYSTYPE *) alloca (yystacksize * sizeof (*yyvsp));
      __yy_memcpy ((char *)yyvs, (char *)yyvs1, size * sizeof (*yyvsp));
#ifdef YYLSP_NEEDED
      yyls = (YYLTYPE *) alloca (yystacksize * sizeof (*yylsp));
      __yy_memcpy ((char *)yyls, (char *)yyls1, size * sizeof (*yylsp));
#endif
#endif /* no yyoverflow */

      yyssp = yyss + size - 1;
      yyvsp = yyvs + size - 1;
#ifdef YYLSP_NEEDED
      yylsp = yyls + size - 1;
#endif

#if YYDEBUG != 0
      if (yydebug)
	fprintf(stderr, "Stack size increased to %d\n", yystacksize);
#endif

      if (yyssp >= yyss + yystacksize - 1)
	YYABORT;
    }

#if YYDEBUG != 0
  if (yydebug)
    fprintf(stderr, "Entering state %d\n", yystate);
#endif

  goto yybackup;
 yybackup:

/* Do appropriate processing given the current state.  */
/* Read a lookahead token if we need one and don't already have one.  */
/* yyresume: */

  /* First try to decide what to do without reference to lookahead token.  */

  yyn = yypact[yystate];
  if (yyn == YYFLAG)
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* yychar is either YYEMPTY or YYEOF
     or a valid token in external form.  */

  if (yychar == YYEMPTY)
    {
#if YYDEBUG != 0
      if (yydebug)
	fprintf(stderr, "Reading a token: ");
#endif
      yychar = YYLEX;
    }

  /* Convert token to internal form (in yychar1) for indexing tables with */

  if (yychar <= 0)		/* This means end of input. */
    {
      yychar1 = 0;
      yychar = YYEOF;		/* Don't call YYLEX any more */

#if YYDEBUG != 0
      if (yydebug)
	fprintf(stderr, "Now at end of input.\n");
#endif
    }
  else
    {
      yychar1 = YYTRANSLATE(yychar);

#if YYDEBUG != 0
      if (yydebug)
	{
	  fprintf (stderr, "Next token is %d (%s", yychar, yytname[yychar1]);
	  /* Give the individual parser a way to print the precise meaning
	     of a token, for further debugging info.  */
#ifdef YYPRINT
	  YYPRINT (stderr, yychar, yylval);
#endif
	  fprintf (stderr, ")\n");
	}
#endif
    }

  yyn += yychar1;
  if (yyn < 0 || yyn > YYLAST || yycheck[yyn] != yychar1)
    goto yydefault;

  yyn = yytable[yyn];

  /* yyn is what to do for this token type in this state.
     Negative => reduce, -yyn is rule number.
     Positive => shift, yyn is new state.
       New state is final state => don't bother to shift,
       just return success.
     0, or most negative number => error.  */

  if (yyn < 0)
    {
      if (yyn == YYFLAG)
	goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }
  else if (yyn == 0)
    goto yyerrlab;

  if (yyn == YYFINAL)
    YYACCEPT;

  /* Shift the lookahead token.  */

#if YYDEBUG != 0
  if (yydebug)
    fprintf(stderr, "Shifting token %d (%s), ", yychar, yytname[yychar1]);
#endif

  /* Discard the token being shifted unless it is eof.  */
  if (yychar != YYEOF)
    yychar = YYEMPTY;

  *++yyvsp = yylval;
#ifdef YYLSP_NEEDED
  *++yylsp = yylloc;
#endif

  /* count tokens shifted since error; after three, turn off error status.  */
  if (yyerrstatus) yyerrstatus--;

  yystate = yyn;
  goto yynewstate;

/* Do the default action for the current state.  */
yydefault:

  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;

/* Do a reduction.  yyn is the number of a rule to reduce with.  */
yyreduce:
  yylen = yyr2[yyn];
  if (yylen > 0)
    yyval = yyvsp[1-yylen]; /* implement default value of the action */

#if YYDEBUG != 0
  if (yydebug)
    {
      int i;

      fprintf (stderr, "Reducing via rule %d (line %d), ",
	       yyn, yyrline[yyn]);

      /* Print the symbols being reduced, and their result.  */
      for (i = yyprhs[yyn]; yyrhs[i] > 0; i++)
	fprintf (stderr, "%s ", yytname[yyrhs[i]]);
      fprintf (stderr, " -> %s\n", yytname[yyr1[yyn]]);
    }
#endif


  switch (yyn) {

case 7:
#line 1241 "parse.y"
{
	      if (of)
		[yyvsp[0].v compileStatement];
	    ;
    break;}
case 8:
#line 1250 "parse.y"
{
	      set_current_either (yyvsp[-1].v, yyvsp[0].v, 1, yyvsp[-4].v, yyvsp[-3].i, 0);
	    ;
    break;}
case 9:
#line 1254 "parse.y"
{
	      check_supers ();
	    ;
    break;}
case 10:
#line 1259 "parse.y"
{
	      pop_report_context ();
	      in_what = GLOBAL_SCOPE;
	    ;
    break;}
case 11:
#line 1268 "parse.y"
{
	      set_current_either (yyvsp[-1].v, yyvsp[0].v, 1, yyvsp[-4].v, yyvsp[-3].i, 1);
	    ;
    break;}
case 12:
#line 1272 "parse.y"
{
	      check_supers ();
	    ;
    break;}
case 13:
#line 1276 "parse.y"
{
	      if (of)
		[C_EXT_SEMANTICS startCompile];
	    ;
    break;}
case 14:
#line 1281 "parse.y"
{
	      [C_EXT_SEMANTICS checkImplementation];
	      if (of)
		[C_EXT_SEMANTICS endCompile];
	      pop_report_context ();
	      in_what = GLOBAL_SCOPE;
	    ;
    break;}
case 15:
#line 1293 "parse.y"
{
	      set_current_either (yyvsp[-1].v, yyvsp[0].v, 0, yyvsp[-4].v, yyvsp[-3].i, 0);
	    ;
    break;}
case 16:
#line 1297 "parse.y"
{
	      check_supers ();
	    ;
    break;}
case 17:
#line 1302 "parse.y"
{
	      pop_report_context ();
	      in_what = GLOBAL_SCOPE;
	    ;
    break;}
case 18:
#line 1311 "parse.y"
{
	      set_current_either (yyvsp[-1].v, yyvsp[0].v, 0, yyvsp[-4].v, yyvsp[-3].i, 1);
	    ;
    break;}
case 19:
#line 1315 "parse.y"
{
	      check_supers ();
	    ;
    break;}
case 20:
#line 1319 "parse.y"
{
	      if (of)
		[C_EXT_SEMANTICS startCompile];
	    ;
    break;}
case 21:
#line 1324 "parse.y"
{
	      [C_EXT_SEMANTICS checkImplementation];
	      if (of)
		[C_EXT_SEMANTICS endCompile];
	      pop_report_context ();
	      in_what = GLOBAL_SCOPE;
	    ;
    break;}
case 23:
#line 1336 "parse.y"
{
	      [C_EITHER_SEMANTICS setStatep];
	    ;
    break;}
case 27:
#line 1349 "parse.y"
{
	      if (yyvsp[-1].v)
		object_add_variables (yyvsp[-2].i, yyvsp[-1].v, yyvsp[0].v, 0);
	    ;
    break;}
case 28:
#line 1354 "parse.y"
{
	      if (yyvsp[-1].v)
		object_add_variables (yyvsp[-2].i, yyvsp[-1].v, yyvsp[0].v, 1);
	    ;
    break;}
case 29:
#line 1359 "parse.y"
{
	      if (in_what == IMPLEMENTATION_SCOPE)
		{
		  /* XXX Check consistency.  */
		}
	      else
		{
		  object_add_const (yyvsp[-4].i, yyvsp[-2].v, yyvsp[0].v);
		}
	    ;
    break;}
case 33:
#line 1378 "parse.y"
{ yyval.v = basic_type[BT_VOID]; ;
    break;}
case 34:
#line 1379 "parse.y"
{ yyval.v = the_dynamic_type; ;
    break;}
case 36:
#line 1384 "parse.y"
{ yyval.v = the_dynamic_type; ;
    break;}
case 39:
#line 1397 "parse.y"
{
	      yyval.v = [yyvsp[0].v semantics];
	    ;
    break;}
case 40:
#line 1401 "parse.y"
{
	      yyval.v = basic_type[BT_RECV];
	    ;
    break;}
case 41:
#line 1405 "parse.y"
{
	      yyval.v = [(OTMMeta *) yyvsp[-1].v itsClass];
	    ;
    break;}
case 42:
#line 1409 "parse.y"
{
	      yyval.v = [(OTMMeta *) yyvsp[-1].v instance];
	    ;
    break;}
case 43:
#line 1416 "parse.y"
{
	      if ([yyvsp[-1].v cdr])
		yyval.v = [CO_OTMTypeTuple typeTupleWithSequence: yyvsp[-1].v];
	      else
		yyval.v = [yyvsp[-1].v car];
	    ;
    break;}
case 44:
#line 1426 "parse.y"
{
	      yyval.v = CONS (yyvsp[0].v, nil);
	    ;
    break;}
case 45:
#line 1430 "parse.y"
{
	      yyval.v = [yyvsp[-2].v nconc: CONS (yyvsp[0].v, nil)];
	    ;
    break;}
case 48:
#line 1442 "parse.y"
{
	      do_add_super (yyvsp[0].v, 0);
	    ;
    break;}
case 49:
#line 1446 "parse.y"
{
	      do_add_super (yyvsp[0].v, 1);
	    ;
    break;}
case 50:
#line 1450 "parse.y"
{
	      do_add_super (yyvsp[0].v, 0);
	    ;
    break;}
case 51:
#line 1454 "parse.y"
{
	      do_add_super (yyvsp[0].v, 1);
	    ;
    break;}
case 53:
#line 1462 "parse.y"
{
	      yyval.v = CONS (nil, yyvsp[-1].v);
	    ;
    break;}
case 54:
#line 1466 "parse.y"
{
	      yyval.v = CONS (yyvsp[-1].v, nil);
	    ;
    break;}
case 55:
#line 1472 "parse.y"
{ yyval.v = NULL; ;
    break;}
case 57:
#line 1477 "parse.y"
{ yyval.v = yyvsp[0].v; ;
    break;}
case 61:
#line 1485 "parse.y"
{
	      error (@"parse error at `%s'", yytext);
	    ;
    break;}
case 62:
#line 1492 "parse.y"
{
	      add_method_decl (yyvsp[-1].v);
	      current_method = nil;
	    ;
    break;}
case 63:
#line 1500 "parse.y"
{
	      /* Don't set the current method if we're just reading an
                 interface.  */
	      current_method = of ? yyvsp[0].v : nil;
	    ;
    break;}
case 64:
#line 1506 "parse.y"
{
	      if (of && !NUM_ERRORS)
		[current_method compile];

	      current_method = nil;
	    ;
    break;}
case 65:
#line 1515 "parse.y"
{
	      next_tmp = 0;
	      next_arg = 2;
	    ;
    break;}
case 66:
#line 1520 "parse.y"
{
	      yyvsp[-2].i = mask_qualifiers (yyvsp[-2].i, (OQ_DEFERRED_MASK
					 | OQ_REDO_MASK | OQ_PROTECTION_MASK));

	      /* Check foreigness compared to what was declared for this
                 class.  */
	      if (current_either)
		{
		  id f = [C_EITHER_SEMANTICS foreign];

		  if (!yyvsp[-1].v)
		    {
		      if (f)
			yyvsp[-1].v = f;
		    }
		  else if (f == yyvsp[-1].v)
		    warning (@"repeated foreign qualifier");
		  else if (f)
		    error (@"foreign %# differs from class' %#", yyvsp[-1].v, f);
		}

	      [yyvsp[0].v setQualifiers: yyvsp[-2].i];
	      if (yyvsp[-1].v)
		{
		  if (Q_DEFERRED (yyvsp[-2].i))
		    error (@"deferred method can't be foreign");
		  else
		    [yyvsp[0].v setForeign: yyvsp[-1].v];
		}

	      current_method = yyvsp[0].v;
	    ;
    break;}
case 67:
#line 1553 "parse.y"
{
	      yyval.v = current_method;
	    ;
    break;}
case 68:
#line 1559 "parse.y"
{ yyval.v = 0; ;
    break;}
case 69:
#line 1561 "parse.y"
{
	      yyval.v = @"C";
	    ;
    break;}
case 70:
#line 1567 "parse.y"
{ yyval.i = 0; ;
    break;}
case 71:
#line 1569 "parse.y"
{
	      if (current_instance)
		error (@"static qualifier only allowed in classes");
	      else
		{
		  if (Q_STATIC (yyvsp[-1].i))
		    error (@"`static' repeated");
		  yyval.i = Q_SET_STATIC (yyvsp[-1].i, OQ_STATIC);
		}
	    ;
    break;}
case 72:
#line 1580 "parse.y"
{
	      if (Q_DEFERRED (yyvsp[-1].i))
		error (@"`deferred' repeated");
	      yyval.i = Q_SET_DEFERRED (yyvsp[-1].i, OQ_DEFERRED);
	    ;
    break;}
case 73:
#line 1586 "parse.y"
{
	      if (Q_MUTABLE (yyvsp[-1].i))
		error (@"`deferred' repeated");
	      yyval.i = Q_SET_MUTABLE (yyvsp[-1].i, OQ_MUTABLE);
	    ;
    break;}
case 74:
#line 1592 "parse.y"
{
	      if (Q_REDO (yyvsp[-1].i))
		error (@"conflicting qualifiers for `redefine'");
	      yyval.i = Q_SET_REDO (yyvsp[-1].i, OQ_REDEFINE);
	    ;
    break;}
case 75:
#line 1598 "parse.y"
{
	      if (Q_REDO (yyvsp[-1].i))
		error (@"conflicting qualifiers for `redeclare'");
	      yyval.i = Q_SET_REDO (yyvsp[-1].i, OQ_REDECLARE);
	    ;
    break;}
case 76:
#line 1604 "parse.y"
{
	      if (Q_PROTECTION (yyvsp[-1].i))
		error (@"conflicting qualifiers for `public'");
	      yyval.i = Q_SET_PROTECTION (yyvsp[-1].i, OQ_PUBLIC);
	    ;
    break;}
case 77:
#line 1610 "parse.y"
{
	      if (Q_PROTECTION (yyvsp[-1].i))
		error (@"conflicting qualifiers for `protected'");
	      yyval.i = Q_SET_PROTECTION (yyvsp[-1].i, OQ_PROTECTED);
	    ;
    break;}
case 78:
#line 1616 "parse.y"
{
	      if (Q_PROTECTION (yyvsp[-1].i))
		error (@"conflicting qualifiers for `private'");
	      yyval.i = Q_SET_PROTECTION (yyvsp[-1].i, OQ_PRIVATE);
	    ;
    break;}
case 79:
#line 1625 "parse.y"
{
	      yyval.v = yyvsp[-2].v ? [CO_OTMCustomMethod methodWithExtension: C_EXT_SEMANTICS
				   name: yyvsp[0].v returnType: yyvsp[-2].v flatp: NO] : nil;
	      [yyval.v setReturnVariables: yyvsp[-1].v];
	    ;
    break;}
case 80:
#line 1631 "parse.y"
{
	      yyval.v = (yyvsp[-2].v && yyvsp[0].v
		    ? [CO_OTMCustomMethod methodWithExtension: C_EXT_SEMANTICS
				 nameTypes: yyvsp[0].v returnType: yyvsp[-2].v flatp: NO] : nil);
	      [yyval.v setReturnVariables: yyvsp[-1].v];
	    ;
    break;}
case 82:
#line 1642 "parse.y"
{
	      if (current_method)
		[current_method setPrecondition: yyvsp[0].v];
	    ;
    break;}
case 84:
#line 1651 "parse.y"
{
	      if (current_method)
		[current_method setPostcondition: yyvsp[0].v];
	    ;
    break;}
case 85:
#line 1658 "parse.y"
{ yyval.v = nil; ;
    break;}
case 86:
#line 1659 "parse.y"
{ yyval.v = yyvsp[0].v; ;
    break;}
case 88:
#line 1665 "parse.y"
{
	      yyval.v = [yyvsp[-1].v nconc: yyvsp[0].v];
	    ;
    break;}
case 89:
#line 1672 "parse.y"
{
	      yyval.v = CONS (yyvsp[-2].v, digest_arguments (yyvsp[0].v, yyvsp[-1].v, 0));
	      yyval.v = CONS (yyval.v, nil);
	    ;
    break;}
case 90:
#line 1677 "parse.y"
{
	      yyval.v = CONS (yyvsp[-4].v, digest_arguments (yyvsp[-2].v, yyvsp[-3].v, yyvsp[0].v));
	      yyval.v = CONS (yyval.v, nil);
	    ;
    break;}
case 92:
#line 1686 "parse.y"
{
	      yyval.v = unique_identifier ([CO_TLString stringWithFormat: @"%@:",
						yyvsp[-1].v]);
	    ;
    break;}
case 93:
#line 1691 "parse.y"
{
	      yyval.v = unique_identifier_colon;
	    ;
    break;}
case 95:
#line 1698 "parse.y"
{ yyval.v = unique_identifier (@"class"); ;
    break;}
case 96:
#line 1699 "parse.y"
{ yyval.v = unique_identifier (@"end"); ;
    break;}
case 97:
#line 1700 "parse.y"
{ yyval.v = unique_identifier (@"extension"); ;
    break;}
case 98:
#line 1701 "parse.y"
{ yyval.v = unique_identifier (@"extern"); ;
    break;}
case 99:
#line 1702 "parse.y"
{ yyval.v = unique_identifier (@"implementation"); ;
    break;}
case 100:
#line 1703 "parse.y"
{ yyval.v = unique_identifier (@"instance"); ;
    break;}
case 101:
#line 1704 "parse.y"
{ yyval.v = unique_identifier (@"interface"); ;
    break;}
case 102:
#line 1705 "parse.y"
{ yyval.v = unique_identifier (@"local"); ;
    break;}
case 103:
#line 1706 "parse.y"
{ yyval.v = unique_identifier (@"posing"); ;
    break;}
case 104:
#line 1707 "parse.y"
{ yyval.v = unique_identifier (@"id"); ;
    break;}
case 105:
#line 1708 "parse.y"
{ yyval.v = unique_identifier (@"super"); ;
    break;}
case 106:
#line 1709 "parse.y"
{ yyval.v = unique_identifier (@"const"); ;
    break;}
case 107:
#line 1710 "parse.y"
{ yyval.v = unique_identifier (@"if"); ;
    break;}
case 108:
#line 1711 "parse.y"
{ yyval.v = unique_identifier (@"else"); ;
    break;}
case 109:
#line 1712 "parse.y"
{ yyval.v = unique_identifier (@"do"); ;
    break;}
case 110:
#line 1713 "parse.y"
{ yyval.v = unique_identifier (@"for"); ;
    break;}
case 111:
#line 1714 "parse.y"
{ yyval.v = unique_identifier (@"while"); ;
    break;}
case 112:
#line 1715 "parse.y"
{ yyval.v = unique_identifier (@"break"); ;
    break;}
case 113:
#line 1716 "parse.y"
{ yyval.v = unique_identifier (@"continue"); ;
    break;}
case 114:
#line 1717 "parse.y"
{ yyval.v = unique_identifier (@"return"); ;
    break;}
case 115:
#line 1718 "parse.y"
{ yyval.v = unique_identifier (@"public"); ;
    break;}
case 116:
#line 1719 "parse.y"
{ yyval.v = unique_identifier (@"private"); ;
    break;}
case 117:
#line 1720 "parse.y"
{ yyval.v = unique_identifier (@"protected"); ;
    break;}
case 118:
#line 1721 "parse.y"
{ yyval.v = unique_identifier (@"mutable"); ;
    break;}
case 119:
#line 1722 "parse.y"
{ yyval.v = unique_identifier (@"static"); ;
    break;}
case 120:
#line 1723 "parse.y"
{ yyval.v = unique_identifier (@"deferred"); ;
    break;}
case 121:
#line 1724 "parse.y"
{ yyval.v = unique_identifier (@"redefine"); ;
    break;}
case 122:
#line 1725 "parse.y"
{ yyval.v = unique_identifier (@"redeclare"); ;
    break;}
case 123:
#line 1726 "parse.y"
{ yyval.v = unique_identifier (@"dynamic"); ;
    break;}
case 124:
#line 1727 "parse.y"
{ yyval.v = unique_identifier (@"typedef"); ;
    break;}
case 125:
#line 1728 "parse.y"
{ yyval.v = unique_identifier (@"void"); ;
    break;}
case 126:
#line 1729 "parse.y"
{ yyval.v = unique_identifier (@"nil"); ;
    break;}
case 127:
#line 1730 "parse.y"
{ yyval.v = unique_identifier ([(OTMMeta *) yyvsp[0].v typeName]); ;
    break;}
case 128:
#line 1732 "parse.y"
{
	      yyval.v = unique_identifier ([[(LTTMeta *) [yyvsp[0].v _elementAtIndex: 0]
						    lttName] internal]);
	    ;
    break;}
case 131:
#line 1745 "parse.y"
{
	      yyval.v = [CO_OTMTuple tupleWithSequence: yyvsp[-1].v];
	    ;
    break;}
case 135:
#line 1758 "parse.y"
{
	      ABORT ();
	    ;
    break;}
case 136:
#line 1765 "parse.y"
{
	      if (current_method)
		{
		  otm_qualifiers q = [current_method qualifiers];

		  /* A method declaration in an implementation is only
                     allowed if it is a redeclaration, deferred or
                     foreign.  */
		  if (![current_method definedp] && !Q_REDO (q)
		      && !Q_DEFERRED (q) && ![current_method foreign])
		    error (@"method definition missing");

		  add_method_def (current_method);
		}
	    ;
    break;}
case 137:
#line 1781 "parse.y"
{
	      if (current_method)
		{
		  id f;

		  if ([current_method deferredp])
		    error (@"definition of method declared deferred");

		  f = [current_method foreign];
		  if (f)
		    error (@"definition of method declared extern", f);

		  current_method = add_method_def (current_method);
		}
	    ;
    break;}
case 139:
#line 1801 "parse.y"
{
	      enter_compound ();
	      if (current_method)
		{
		  OTMType *t = [current_method returnType];

		  if (t != basic_type[BT_VOID])
		    {
		      OTMTuple *rvn = [current_method returnVariables];

		      /* Initialize the return value.  */
		      if (rvn)
			[current_method setReturnValue: rvn];
		      else
			do_return_stmt (0, nil_something_with_type (t));
		    }

		  emit_conditions_pre (current_method);
		}
	    ;
    break;}
case 140:
#line 1822 "parse.y"
{
	      if ([current_method haveReturnStatement])
		emit_statement ([current_method setHaveReturnStatement]);

	      emit_conditions_post (current_method);
	      exit_compound ();
	    ;
    break;}
case 141:
#line 1833 "parse.y"
{
	      enter_compound ();
	    ;
    break;}
case 142:
#line 1837 "parse.y"
{
	      yyval.v = current_compound;
	      exit_compound ();
	    ;
    break;}
case 143:
#line 1845 "parse.y"
{
		  emit_expr (void_expr);
		;
    break;}
case 147:
#line 1858 "parse.y"
{
	      if (current_compound && yyvsp[0].v)
		{
		  [current_compound setValue: yyvsp[0].v];
		  [current_compound releaseTemporaryVariables];
		}
	    ;
    break;}
case 149:
#line 1888 "parse.y"
{
	      yyval.v = emit_expr (yyvsp[0].v);
	    ;
    break;}
case 150:
#line 1892 "parse.y"
{
	      yyval.v = emit_expr (yyvsp[0].v);
	    ;
    break;}
case 151:
#line 1898 "parse.y"
{
	      enter_compound ();
	    ;
    break;}
case 152:
#line 1902 "parse.y"
{
	      yyval.v = current_compound;
	      exit_compound ();
	    ;
    break;}
case 154:
#line 1908 "parse.y"
{
	      if (!flag_inhibit_empty)
		warning (@"empty expression");
	      yyval.v = void_expr;
	    ;
    break;}
case 155:
#line 1917 "parse.y"
{
	      enclosing_type = yyvsp[0].v;
	    ;
    break;}
case 156:
#line 1921 "parse.y"
{
	      yyval.v = yyvsp[0].v;
	    ;
    break;}
case 158:
#line 1929 "parse.y"
{
	      yyval.v = yyvsp[0].v;
	    ;
    break;}
case 159:
#line 1936 "parse.y"
{
	      yyval.v = create_local_var (yyvsp[0].v, enclosing_type, nil);
	    ;
    break;}
case 160:
#line 1940 "parse.y"
{
	      yyval.v = create_local_var (yyvsp[-2].v, enclosing_type, yyvsp[0].v);
	    ;
    break;}
case 161:
#line 1947 "parse.y"
{
	      yyval.v = [CO_OTMCondExpr new];
	    ;
    break;}
case 162:
#line 1951 "parse.y"
{
	      [yyvsp[-1].v setIf: yyvsp[0].v];
	    ;
    break;}
case 163:
#line 1955 "parse.y"
{
	      [yyvsp[-3].v setThen: yyvsp[0].v];
	    ;
    break;}
case 164:
#line 1959 "parse.y"
{
	      yyval.v = yyvsp[-5].v;
	      [yyval.v setElse: yyvsp[0].v];
	    ;
    break;}
case 165:
#line 1967 "parse.y"
{
	      yyval.v = nil;
	    ;
    break;}
case 166:
#line 1971 "parse.y"
{
	      yyval.v = yyvsp[0].v;
	    ;
    break;}
case 167:
#line 1978 "parse.y"
{
	      current_compound = [CO_OTMLoop
				   loopWithContainer: current_compound];
	    ;
    break;}
case 168:
#line 1983 "parse.y"
{
	      [(OTMLoop *) current_compound startLoopEnd];
	      [(OTMLoop *) current_compound setCondition: yyvsp[-1].v atEnd: 1];

	      yyval.v = current_compound;
	      current_compound = [current_compound container];
	    ;
    break;}
case 169:
#line 1994 "parse.y"
{
	      current_compound = [CO_OTMLoop
				   loopWithContainer: current_compound];
	    ;
    break;}
case 170:
#line 1999 "parse.y"
{
	      [(OTMLoop *) current_compound setCondition: yyvsp[0].v atEnd: 0];
	    ;
    break;}
case 171:
#line 2003 "parse.y"
{
	      yyval.v = current_compound;
	      [(OTMLoop *) current_compound startLoopEnd];
	      current_compound = [current_compound container];
	    ;
    break;}
case 172:
#line 2012 "parse.y"
{
	      enter_compound ();
	      emit_statement (yyvsp[-1].v);
	      current_compound
		= [CO_OTMLoop loopWithContainer: current_compound];
	    ;
    break;}
case 173:
#line 2019 "parse.y"
{
	      [(OTMLoop *) current_compound setCondition: yyvsp[-1].v atEnd: 0];
	    ;
    break;}
case 174:
#line 2023 "parse.y"
{
	      OTMCompound *loop = current_compound;

	      [current_compound startLoopEnd];
	      emit_statement (yyvsp[-2].v);
	      current_compound = [current_compound container];
	      [current_compound setValue: emit_expr (loop)];
	      yyval.v = current_compound;
	      exit_compound ();
	    ;
    break;}
case 175:
#line 2044 "parse.y"
{
	      yyval.v = do_return_stmt (yyvsp[-1].i, yyvsp[0].v);
	    ;
    break;}
case 176:
#line 2048 "parse.y"
{
	      yyval.v = do_return_stmt (yyvsp[0].i, void_expr);
	    ;
    break;}
case 177:
#line 2054 "parse.y"
{ yyval.i = 0; ;
    break;}
case 178:
#line 2055 "parse.y"
{ yyval.i = 1; ;
    break;}
case 179:
#line 2060 "parse.y"
{
	      yyval.v = [CO_OTMAssignment assignmentWithLhs: yyvsp[-2].v rhs: yyvsp[0].v];
	    ;
    break;}
case 180:
#line 2064 "parse.y"
{
	      yyval.v = [CO_OTMModAssign assignmentWithLhs: yyvsp[0].v
				 rhs: (id) tll_small_int[1]
				 operator: BO_ADD postp: NO];
	    ;
    break;}
case 181:
#line 2070 "parse.y"
{
	      yyval.v = [CO_OTMModAssign assignmentWithLhs: yyvsp[-1].v
				 rhs: (id) tll_small_int[1]
				 operator: BO_ADD postp: YES];
	    ;
    break;}
case 182:
#line 2076 "parse.y"
{
	      yyval.v = [CO_OTMModAssign assignmentWithLhs: yyvsp[0].v
				 rhs: (id) tll_small_int[1]
				 operator: BO_SUB postp: NO];
	    ;
    break;}
case 183:
#line 2082 "parse.y"
{
	      yyval.v = [CO_OTMModAssign assignmentWithLhs: yyvsp[-1].v
				 rhs: (id) tll_small_int[1]
				 operator: BO_SUB postp: YES];
	    ;
    break;}
case 184:
#line 2088 "parse.y"
{
	      yyval.v = [CO_OTMModAssign assignmentWithLhs: yyvsp[-2].v rhs: yyvsp[0].v operator: yyvsp[-1].i
				 postp: YES];
	    ;
    break;}
case 185:
#line 2093 "parse.y"
{
	      yyval.v = build_invocation ([yyvsp[-2].v car],
				     CONS (CONS (MNP_SET_AT_1, yyvsp[0].v),
					   CONS (CONS (MNP_SET_AT_2, [yyvsp[-2].v cdr]),
						 nil)), 0, nil);
	    ;
    break;}
case 186:
#line 2104 "parse.y"
{
	      if ([[yyvsp[-1].v elements] length] == 1)
		yyvsp[-1].v = [[yyvsp[-1].v elements] _elementAtIndex: 0];
	      yyval.v = CONS (yyvsp[-3].v, yyvsp[-1].v);
	    ;
    break;}
case 187:
#line 2110 "parse.y"
{
	      error (@"error in index expression");
	      yyval.v = [CO_OTMError sharedError];
	    ;
    break;}
case 188:
#line 2118 "parse.y"
{
	      yyval.v = nil;
	    ;
    break;}
case 190:
#line 2126 "parse.y"
{
	      yyval.v = nil;
	    ;
    break;}
case 191:
#line 2130 "parse.y"
{
	      enter_compound ();
	    ;
    break;}
case 192:
#line 2134 "parse.y"
{
	      yyvsp[0].v = emit_expr (yyvsp[0].v);
	      if (yyvsp[0].v)
		[current_compound setValue: yyvsp[0].v];
	      yyval.v = current_compound;
	      exit_compound ();
	    ;
    break;}
case 206:
#line 2167 "parse.y"
{
	      if (yyvsp[0].v && yyvsp[0].v != an_error)
		{
		  if ([yyvsp[0].v cdr])
		    error (@"too many elements in catch tag");

		  yyvsp[0].v = [resolve_expr ([yyvsp[0].v car], CONS (the_any_ref_type, nil),
				      NULL, [current_either semantics])
			elaborate];
		}
	      current_compound = [CO_OTMCatch catchWithTag: yyvsp[0].v
					   container: current_compound];
	    ;
    break;}
case 207:
#line 2181 "parse.y"
{
	      [current_compound setValue: emit_expr (yyvsp[0].v)];
	      yyval.v = current_compound;
	      current_compound = [current_compound container];
	    ;
    break;}
case 208:
#line 2187 "parse.y"
{
	      enter_compound ();

	      /* This is naughty: a local variable for tom code to
                 reference the argument (with the same name) to the
                 function containing the handlers.  */
	      emit_local_var ([CO_OTMArgument variableWithName: @"condition"
					   type: tom_condition_instance]);

	      if (![tom_condition_instance declaredp]
		  && ![tom_condition_instance definedp])
		load_interface ((LTTInstance *)
				[tom_condition_instance structure]);
	    ;
    break;}
case 209:
#line 2202 "parse.y"
{
	      current_compound = [CO_OTMBind bindWithContainer:
					     current_compound];
	      [(OTMBind *) current_compound setHandlers: yyvsp[0].v];
	    ;
    break;}
case 210:
#line 2208 "parse.y"
{
	      [current_compound setValue: emit_expr (yyvsp[0].v)];
	      yyval.v = current_compound;
	      current_compound = [current_compound container];
	      [current_compound setValue: emit_expr (yyval.v)];
	      yyval.v = current_compound;
	      current_compound = [current_compound container];
	    ;
    break;}
case 211:
#line 2217 "parse.y"
{
	      if (yyvsp[-1].v && yyvsp[-1].v != an_error)
		{
		  if ([yyvsp[-1].v cdr])
		    error (@"too many elements in unwind protection");

		  enter_compound ();
		  [current_compound setValue: emit_expr ([yyvsp[-1].v car])];
		  yyvsp[-1].v = current_compound;
		  current_compound = [current_compound container];
		}

	      current_compound = [CO_OTMUnwind unwindWithProtection: yyvsp[-1].v
					    container: current_compound];
	      [current_compound setValue: emit_expr (yyvsp[0].v)];
	      yyval.v = current_compound;
	      current_compound = [current_compound container];
	    ;
    break;}
case 212:
#line 2239 "parse.y"
{
	      yyval.v = yyvsp[-1].v;
	    ;
    break;}
case 213:
#line 2246 "parse.y"
{
	      yyval.v = CONS (yyvsp[0].v, nil);
	    ;
    break;}
case 214:
#line 2250 "parse.y"
{
	      yyval.v = [yyvsp[-2].v nconc: CONS (yyvsp[0].v, nil)];
	    ;
    break;}
case 215:
#line 2257 "parse.y"
{
	      yyval.v = [CO_OTMBreak jumpStatement];
	    ;
    break;}
case 216:
#line 2261 "parse.y"
{
	      yyval.v = [CO_OTMBreak jumpStatementWithValue: yyvsp[0].v];
	    ;
    break;}
case 217:
#line 2268 "parse.y"
{
	      yyval.v = [CO_OTMContinue jumpStatement];
	    ;
    break;}
case 218:
#line 2272 "parse.y"
{
	      yyval.v = [CO_OTMContinue jumpStatementWithValue: yyvsp[0].v];
	    ;
    break;}
case 220:
#line 2280 "parse.y"
{
	      if (!yyvsp[0].v || yyvsp[0].v == an_error)
		yyval.v = [CO_OTMError sharedError];
	      else
		yyval.v = invocation ([yyvsp[0].v car], unique_identifier (MNP_AT_1),
				 [yyvsp[0].v cdr]);
	    ;
    break;}
case 221:
#line 2288 "parse.y"
{
	      yyval.v = op_invocation1 (builtin_operator_name[BO_NEG], yyvsp[0].v);
	    ;
    break;}
case 222:
#line 2292 "parse.y"
{
	      yyval.v = op_invocation1 (builtin_operator_name[BO_INV], yyvsp[0].v);
	    ;
    break;}
case 223:
#line 2296 "parse.y"
{
	      yyval.v = op_invocation1 (builtin_operator_name[BO_NOT], yyvsp[0].v);
	    ;
    break;}
case 224:
#line 2300 "parse.y"
{
	      yyval.v = [CO_OTMOld with: yyvsp[0].v];
	    ;
    break;}
case 225:
#line 2304 "parse.y"
{
	      yyval.v = op_invocation2 (builtin_operator_name[BO_MUL], yyvsp[-2].v, yyvsp[0].v);
	    ;
    break;}
case 226:
#line 2308 "parse.y"
{
	      yyval.v = op_invocation2 (builtin_operator_name[BO_DIV], yyvsp[-2].v, yyvsp[0].v);
	    ;
    break;}
case 227:
#line 2312 "parse.y"
{
	      yyval.v = op_invocation2 (builtin_operator_name[BO_MOD], yyvsp[-2].v, yyvsp[0].v);
	    ;
    break;}
case 228:
#line 2316 "parse.y"
{
	      yyval.v = op_invocation2 (builtin_operator_name[BO_ADD], yyvsp[-2].v, yyvsp[0].v);
	    ;
    break;}
case 229:
#line 2320 "parse.y"
{
	      yyval.v = op_invocation2 (builtin_operator_name[BO_SUB], yyvsp[-2].v, yyvsp[0].v);
	    ;
    break;}
case 230:
#line 2324 "parse.y"
{
	      yyval.v = op_invocation2 (builtin_operator_name[BO_SHL], yyvsp[-2].v, yyvsp[0].v);
	    ;
    break;}
case 231:
#line 2328 "parse.y"
{
	      yyval.v = op_invocation2 (builtin_operator_name[BO_SHR], yyvsp[-2].v, yyvsp[0].v);
	    ;
    break;}
case 232:
#line 2332 "parse.y"
{
	      yyval.v = op_invocation2 (builtin_operator_name[BO_LSR], yyvsp[-2].v, yyvsp[0].v);
	    ;
    break;}
case 233:
#line 2336 "parse.y"
{
	      yyval.v = op_invocation2 (builtin_operator_name[BO_AND], yyvsp[-2].v, yyvsp[0].v);
	    ;
    break;}
case 234:
#line 2340 "parse.y"
{
	      yyval.v = op_invocation2 (builtin_operator_name[BO_OR], yyvsp[-2].v, yyvsp[0].v);
	    ;
    break;}
case 235:
#line 2344 "parse.y"
{
	      yyval.v = op_invocation2 (builtin_operator_name[BO_EOR], yyvsp[-2].v, yyvsp[0].v);
	    ;
    break;}
case 236:
#line 2348 "parse.y"
{
	      yyval.v = op_invocation2 (builtin_operator_name[BO_LT], yyvsp[-2].v, yyvsp[0].v);
	    ;
    break;}
case 237:
#line 2352 "parse.y"
{
	      yyval.v = op_invocation2 (builtin_operator_name[BO_LE], yyvsp[-2].v, yyvsp[0].v);
	    ;
    break;}
case 238:
#line 2356 "parse.y"
{
	      yyval.v = op_invocation2 (builtin_operator_name[BO_EQ], yyvsp[-2].v, yyvsp[0].v);
	    ;
    break;}
case 239:
#line 2360 "parse.y"
{
	      yyval.v = op_invocation2 (builtin_operator_name[BO_NE], yyvsp[-2].v, yyvsp[0].v);
	    ;
    break;}
case 240:
#line 2364 "parse.y"
{
	      yyval.v = op_invocation2 (builtin_operator_name[BO_GE], yyvsp[-2].v, yyvsp[0].v);
	    ;
    break;}
case 241:
#line 2368 "parse.y"
{
	      yyval.v = op_invocation2 (builtin_operator_name[BO_GT], yyvsp[-2].v, yyvsp[0].v);
	    ;
    break;}
case 242:
#line 2372 "parse.y"
{
	      yyval.v = op_invocation2 (builtin_operator_name[BO_SC_AND], yyvsp[-2].v, yyvsp[0].v);
	    ;
    break;}
case 243:
#line 2376 "parse.y"
{
	      yyval.v = op_invocation2 (builtin_operator_name[BO_SC_OR], yyvsp[-2].v, yyvsp[0].v);
	    ;
    break;}
case 244:
#line 2380 "parse.y"
{
	      yyval.v = op_invocation2 (builtin_operator_name[BO_IMPLIES], yyvsp[-2].v, yyvsp[0].v);
	    ;
    break;}
case 245:
#line 2384 "parse.y"
{
	      yyval.v = [CO_OTMCondExpr iteWithCondition: yyvsp[-4].v thenPart: yyvsp[-2].v elsePart: yyvsp[0].v];
	    ;
    break;}
case 246:
#line 2388 "parse.y"
{
	      error (@"`:' expected");
	      yyval.v = [CO_OTMError sharedError];
	    ;
    break;}
case 249:
#line 2397 "parse.y"
{
	      yyval.v = nil;

	      /* Look for the variable in the current compound.  If the
                 compound is not set, we could be in a method condition,
                 and search for a method argument.  */
	      if (current_compound)
		yyval.v = [current_compound searchVariableNamed: yyvsp[0].v];
	      else if (current_method)
		yyval.v = [current_method searchVariableNamed: yyvsp[0].v];

	      if (yyval.v)
		yyval.v = [OTMVarRef referenceToVariable: yyval.v];
	      else
		{
		  yyval.v = [C_EITHER_SEMANTICS searchEntityNamed: yyvsp[0].v
			supers: YES class: YES variables: YES constants: YES];

		  if (!yyval.v)
		    if (!of)
		      yyval.v = [[CO_OTMIdentifier gcAlloc] initWithName: yyvsp[0].v];
		    else
		      {
			error (@"undeclared variable `%@'", yyvsp[0].v);
			if (current_compound)
			  {
			    yyval.v = [CO_OTMLocalVar variableWithName: yyvsp[0].v
					    type: [ltt_instance_any semantics]];
			    cerror (@"inventing `%@ %@'",
				    type_name ([yyval.v type]), yyvsp[0].v);
			    emit_local_var (yyval.v);
			  }
		      }
		}
	    ;
    break;}
case 250:
#line 2433 "parse.y"
{
	      yyval.v = void_expr;
	    ;
    break;}
case 251:
#line 2437 "parse.y"
{
	      yyval.v = nil_expr;
	    ;
    break;}
case 256:
#line 2458 "parse.y"
{
	      if (yyvsp[-3].v && yyvsp[-1].v)
		{
		  if (yyvsp[-3].v == basic_type[BT_SELECTOR]
		      && [yyvsp[-1].v isKindOf: [CO_OTMStringCST self]])
		    yyval.v = [[CO_LTTSelector selectorWithMangledName:
					    [[(OTMStringCST *) yyvsp[-1].v structure]
					      string]] semantics];
		  else
		    yyval.v = [CO_OTMCast castWithExpr: yyvsp[-1].v type: yyvsp[-3].v];
		}
	      else
		yyval.v = yyvsp[-1].v;
	    ;
    break;}
case 257:
#line 2473 "parse.y"
{
	      error (@"cast of super not allowed");
	      yyval.v = [CO_OTMError sharedError];
	    ;
    break;}
case 258:
#line 2478 "parse.y"
{
	      error (@"parse error at `%s'", yytext);
	      yyval.v = [CO_OTMError sharedError];
	    ;
    break;}
case 261:
#line 2491 "parse.y"
{
	      yyval.v = build_invocation (yyvsp[-2].v, yyvsp[-1].v, 0, nil);
	    ;
    break;}
case 262:
#line 2495 "parse.y"
{
	      yyval.v = build_invocation ([[(OTMMeta *) [(LTTMeta *) yyvsp[-2].v semantics]
				       itsClass] metaReference], yyvsp[-1].v, 0, nil);
	    ;
    break;}
case 263:
#line 2500 "parse.y"
{
	      yyval.v = build_invocation
		([current_method argumentNamed: TO_NAME_SELF], yyvsp[-1].v, 1, nil);
	    ;
    break;}
case 264:
#line 2506 "parse.y"
{
	      yyval.v = build_invocation
		([current_method argumentNamed: TO_NAME_SELF], yyvsp[-1].v, 1, yyvsp[-3].v);
	    ;
    break;}
case 265:
#line 2511 "parse.y"
{
	      OTMExpr *e = [CO_OTMMetaRef metaRefWithMeta:
				       [[current_either itsClass] semantics]];
	      yyval.v = invocation (e, yyvsp[-1].v, yyvsp[0].v);
	    ;
    break;}
case 266:
#line 2517 "parse.y"
{
	      error (@"error in invocation");
	      yyval.v = [CO_OTMError sharedError];
	    ;
    break;}
case 270:
#line 2531 "parse.y"
{
	      yyval.v = [yyvsp[-1].v nconc: yyvsp[0].v];
	    ;
    break;}
case 271:
#line 2538 "parse.y"
{
	      yyval.v = CONS (CONS (yyvsp[-1].v, yyvsp[0].v), nil);
	    ;
    break;}
case 272:
#line 2545 "parse.y"
{
	      if ([[yyvsp[-1].v elements] length] == 1)
		yyval.v = [[yyvsp[-1].v elements] _elementAtIndex: 0];
	      else
		{
		  yyval.v = yyvsp[-1].v;
		}
	    ;
    break;}
case 273:
#line 2554 "parse.y"
{
	      error (@"error in tuple");
	      yyval.v = [CO_OTMError sharedError];
	    ;
    break;}
case 274:
#line 2562 "parse.y"
{
		yyval.v = [CO_OTMTuple tuple];
		[yyval.v addElement: yyvsp[0].v];
	    ;
    break;}
case 275:
#line 2567 "parse.y"
{
		yyval.v = [CO_OTMTuple tuple];
		[yyval.v addElement: nil];
	    ;
    break;}
case 276:
#line 2572 "parse.y"
{
		[yyvsp[-2].v addElement: yyvsp[0].v];
		yyval.v = yyvsp[-2].v;
	    ;
    break;}
case 277:
#line 2577 "parse.y"
{
		[yyvsp[-1].v addElement: nil];
		yyval.v = yyvsp[-1].v;
	    ;
    break;}
case 278:
#line 2585 "parse.y"
{
	      yyval.v = CONS (yyvsp[0].v, nil);
	    ;
    break;}
case 279:
#line 2589 "parse.y"
{
	      yyval.v = [yyvsp[-2].v nconc: CONS (yyvsp[0].v, nil)];
	    ;
    break;}
case 281:
#line 2597 "parse.y"
{
	      error (@"`;' expected");
	    ;
    break;}
case 283:
#line 2605 "parse.y"
{
	      error (@"`)' expected");
	    ;
    break;}
case 285:
#line 2613 "parse.y"
{
	      error (@"`]' expected");
	    ;
    break;}
case 287:
#line 2624 "parse.y"
{
	      OTMMeta *oins = [yyvsp[0].v semantics];

	      yyval.v = yyvsp[0].v;
	      if (yyvsp[0].v && ![oins fullyLoaded])
		load_interface (yyvsp[0].v);
	    ;
    break;}
case 288:
#line 2635 "parse.y"
{
	      yyval.v = instance_in_unit (nil, current_unit, yyvsp[0].v);
	    ;
    break;}
case 289:
#line 2639 "parse.y"
{
	      yyval.v = instance_in_unit ([[(LTTMeta *) [yyvsp[-2].v _elementAtIndex: 0]
					   lttName] internal],
				     current_unit, yyvsp[0].v);
	    ;
    break;}
case 290:
#line 2645 "parse.y"
{
	      yyval.v = instance_in_unit (yyvsp[-2].v, current_unit, yyvsp[0].v);
	    ;
    break;}
case 292:
#line 2653 "parse.y"
{
	      error (@"inventing class `%@'", yyvsp[0].v);

	      yyval.v = [ltt_missing_unit metaWithName: yyvsp[0].v];	      
	    ;
    break;}
case 293:
#line 2659 "parse.y"
{
	      LTTUnit *u = [CO_LTTUnit unitNamed: yyvsp[-2].v];

	      error (@"inventing class `%@.%@'", yyvsp[-2].v, yyvsp[0].v);

	      if (!u)
		{
		  error (@"unknown unit `%@'", yyvsp[-2].v);
		  u = ltt_missing_unit;
		}

	      yyval.v = [u metaWithName: yyvsp[0].v];
	    ;
    break;}
case 295:
#line 2677 "parse.y"
{
	      yyval.v = [[(LTTMeta *) [yyvsp[0].v _elementAtIndex: 0] lttName] internal];
	    ;
    break;}
}
   /* the action file gets copied in in place of this dollarsign */
#line 498 "/usr/share/bison.simple"

  yyvsp -= yylen;
  yyssp -= yylen;
#ifdef YYLSP_NEEDED
  yylsp -= yylen;
#endif

#if YYDEBUG != 0
  if (yydebug)
    {
      short *ssp1 = yyss - 1;
      fprintf (stderr, "state stack now");
      while (ssp1 != yyssp)
	fprintf (stderr, " %d", *++ssp1);
      fprintf (stderr, "\n");
    }
#endif

  *++yyvsp = yyval;

#ifdef YYLSP_NEEDED
  yylsp++;
  if (yylen == 0)
    {
      yylsp->first_line = yylloc.first_line;
      yylsp->first_column = yylloc.first_column;
      yylsp->last_line = (yylsp-1)->last_line;
      yylsp->last_column = (yylsp-1)->last_column;
      yylsp->text = 0;
    }
  else
    {
      yylsp->last_line = (yylsp+yylen-1)->last_line;
      yylsp->last_column = (yylsp+yylen-1)->last_column;
    }
#endif

  /* Now "shift" the result of the reduction.
     Determine what state that goes to,
     based on the state we popped back to
     and the rule number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTBASE] + *yyssp;
  if (yystate >= 0 && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTBASE];

  goto yynewstate;

yyerrlab:   /* here on detecting error */

  if (! yyerrstatus)
    /* If not already recovering from an error, report this error.  */
    {
      ++yynerrs;

#ifdef YYERROR_VERBOSE
      yyn = yypact[yystate];

      if (yyn > YYFLAG && yyn < YYLAST)
	{
	  int size = 0;
	  char *msg;
	  int x, count;

	  count = 0;
	  /* Start X at -yyn if nec to avoid negative indexes in yycheck.  */
	  for (x = (yyn < 0 ? -yyn : 0);
	       x < (sizeof(yytname) / sizeof(char *)); x++)
	    if (yycheck[x + yyn] == x)
	      size += strlen(yytname[x]) + 15, count++;
	  msg = (char *) malloc(size + 15);
	  if (msg != 0)
	    {
	      strcpy(msg, "parse error");

	      if (count < 5)
		{
		  count = 0;
		  for (x = (yyn < 0 ? -yyn : 0);
		       x < (sizeof(yytname) / sizeof(char *)); x++)
		    if (yycheck[x + yyn] == x)
		      {
			strcat(msg, count == 0 ? ", expecting `" : " or `");
			strcat(msg, yytname[x]);
			strcat(msg, "'");
			count++;
		      }
		}
	      yyerror(msg);
	      free(msg);
	    }
	  else
	    yyerror ("parse error; also virtual memory exceeded");
	}
      else
#endif /* YYERROR_VERBOSE */
	yyerror("parse error");
    }

  goto yyerrlab1;
yyerrlab1:   /* here on error raised explicitly by an action */

  if (yyerrstatus == 3)
    {
      /* if just tried and failed to reuse lookahead token after an error, discard it.  */

      /* return failure if at end of input */
      if (yychar == YYEOF)
	YYABORT;

#if YYDEBUG != 0
      if (yydebug)
	fprintf(stderr, "Discarding token %d (%s).\n", yychar, yytname[yychar1]);
#endif

      yychar = YYEMPTY;
    }

  /* Else will try to reuse lookahead token
     after shifting the error token.  */

  yyerrstatus = 3;		/* Each real token shifted decrements this */

  goto yyerrhandle;

yyerrdefault:  /* current state does not do anything special for the error token. */

#if 0
  /* This is wrong; only states that explicitly want error tokens
     should shift them.  */
  yyn = yydefact[yystate];  /* If its default is to accept any token, ok.  Otherwise pop it.*/
  if (yyn) goto yydefault;
#endif

yyerrpop:   /* pop the current state because it cannot handle the error token */

  if (yyssp == yyss) YYABORT;
  yyvsp--;
  yystate = *--yyssp;
#ifdef YYLSP_NEEDED
  yylsp--;
#endif

#if YYDEBUG != 0
  if (yydebug)
    {
      short *ssp1 = yyss - 1;
      fprintf (stderr, "Error: state stack now");
      while (ssp1 != yyssp)
	fprintf (stderr, " %d", *++ssp1);
      fprintf (stderr, "\n");
    }
#endif

yyerrhandle:

  yyn = yypact[yystate];
  if (yyn == YYFLAG)
    goto yyerrdefault;

  yyn += YYTERROR;
  if (yyn < 0 || yyn > YYLAST || yycheck[yyn] != YYTERROR)
    goto yyerrdefault;

  yyn = yytable[yyn];
  if (yyn < 0)
    {
      if (yyn == YYFLAG)
	goto yyerrpop;
      yyn = -yyn;
      goto yyreduce;
    }
  else if (yyn == 0)
    goto yyerrpop;

  if (yyn == YYFINAL)
    YYACCEPT;

#if YYDEBUG != 0
  if (yydebug)
    fprintf(stderr, "Shifting error token, ");
#endif

  *++yyvsp = yylval;
#ifdef YYLSP_NEEDED
  *++yylsp = yylloc;
#endif

  yystate = yyn;
  goto yynewstate;
}
#line 2681 "parse.y"

